# v8.3.0

## 🚀 New Features

* **test-data**: add tenants to test data ([#5496](https://github.com/camunda/operate/issues/5496))
* **backend**: add aws opensearch connection support ([#5493](https://github.com/camunda/operate/issues/5493))
* **backend**: Add handler for process definition deletion ([#5274](https://github.com/camunda/operate/issues/5274))
* **backend**: Implement SessionService ([#5488](https://github.com/camunda/operate/issues/5488))
* **backend**: Use Elasticsearch Task API for getting reindex task infos ([#5467](https://github.com/camunda/operate/issues/5467))
* **backend**: job failed with retries left filter ([#5452](https://github.com/camunda/operate/issues/5452))
* **backend**: fix Opensearch implementation bugs ([#5486](https://github.com/camunda/operate/issues/5486))
* **backend**: add tenant aware checks to Opensearch classes ([#5483](https://github.com/camunda/operate/issues/5483))
* **backend**: Implement OpenSearch BackupService ([#5484](https://github.com/camunda/operate/issues/5484))
* show retries left in metadata popover ([#5456](https://github.com/camunda/operate/issues/5456))
* **feature-flagged**: add optional filter "retries left" ([#5231](https://github.com/camunda/operate/issues/5231))
* filter grouped decisions by tenant ([#5429](https://github.com/camunda/operate/issues/5429))
* **backend**: Implement OpensearchArchiver ([#5463](https://github.com/camunda/operate/issues/5463))
* **backend**: Add Opensearch FlowNodeInstanceStatisticsReader ([#5457](https://github.com/camunda/operate/issues/5457))
* support tenant filter in dashboard links if multi tenancy is enabled ([#5404](https://github.com/camunda/operate/issues/5404))
* **backend**: Implement OpensearchArchiver ([#5444](https://github.com/camunda/operate/issues/5444))
* **backend**: Opensearch implementations ([#5143](https://github.com/camunda/operate/issues/5143))
* enable variable IN filter in UI ([#5418](https://github.com/camunda/operate/issues/5418))
* filter grouped processes by tenant ([#5329](https://github.com/camunda/operate/issues/5329))
* **feature-flagged**: add multiple variable values modal ([#5316](https://github.com/camunda/operate/issues/5316))
* **feature-flagged**: add multiple variable values textarea ([#5307](https://github.com/camunda/operate/issues/5307))
* **backend**: filter variables by IN values ([#5399](https://github.com/camunda/operate/issues/5399))
* **importer**: read tenant from zeebe records ([#5330](https://github.com/camunda/operate/issues/5330))
* **backend**: add `tenantId` parameter to usage metrics index ([#5332](https://github.com/camunda/operate/issues/5332))
* **backend**: check tenant when scheduling single operations ([#5331](https://github.com/camunda/operate/issues/5331))
* display tenant column in decisions list ([#5324](https://github.com/camunda/operate/issues/5324))
* display tenant column in processes list ([#5323](https://github.com/camunda/operate/issues/5323))
* add tenant filter to decisions page ([#5292](https://github.com/camunda/operate/issues/5292))
* add tenant filter to processes page ([#5277](https://github.com/camunda/operate/issues/5277))
* display decision definition id on top of diagram ([#5322](https://github.com/camunda/operate/issues/5322))
* display process definition id on top of diagram ([#5321](https://github.com/camunda/operate/issues/5321))
* **api**: add `tenantId` parameter to Public API endpoints ([#5303](https://github.com/camunda/operate/issues/5303))
* apply tenant check when using public api ([#5244](https://github.com/camunda/operate/issues/5244))
* filter by current tenants when using internal api ([#5243](https://github.com/camunda/operate/issues/5243))

## 💊 Bugfixes

* **test-data**: ignore exception when sending commands to Zeebe ([#5533](https://github.com/camunda/operate/issues/5533))
* **backend**: Fix OpenSearch IT ([#5518](https://github.com/camunda/operate/issues/5518))
* display tenant name instead of id in the process and decisions lists ([#5501](https://github.com/camunda/operate/issues/5501))
* **backend**: Delete decision definition - number of operations ([#5297](https://github.com/camunda/operate/issues/5297))
* **backend**: Swagger API description is ambiguous for incident key ([#5311](https://github.com/camunda/operate/issues/5311))
* **backend**: add docker-compose file for Opensearch ([#5489](https://github.com/camunda/operate/issues/5489))
* **backend**: udpate list-view schema for opensearch ([#5492](https://github.com/camunda/operate/issues/5492))
* fix instance header borders on focus ([#5465](https://github.com/camunda/operate/issues/5465))
* do not create release for opensearch ([#5451](https://github.com/camunda/operate/issues/5451))
* **backend**: Return 404 instead of 400 on get backup by wrong id ([#5473](https://github.com/camunda/operate/issues/5473))
* **backend**: Fix OpenSearchDocumentOperations search/scroll ([#5468](https://github.com/camunda/operate/issues/5468))
* **backend**: Fix aggregations extracting and index settings for Opensearch ([#5474](https://github.com/camunda/operate/issues/5474))
* display correct arrow colors in drd panel and bpmn diagram ([#5461](https://github.com/camunda/operate/issues/5461))
* **backend**: Fix bulk updates in Opensearch PostImporter ([#5458](https://github.com/camunda/operate/issues/5458))
* **backend**: allow only `<default>` tenant when multi-tenancy is disabled ([#5421](https://github.com/camunda/operate/issues/5421))
* **deps**: update dependency @carbon/react to v1.38.0 ([#5250](https://github.com/camunda/operate/issues/5250))
* **deps**: update dependency @carbon/elements to v11.30.0 ([#5249](https://github.com/camunda/operate/issues/5249))
* **deps**: update dependency sass to v1.68.0 ([#5381](https://github.com/camunda/operate/issues/5381))
* **backend**: fix aggregation extracting for OpensearchFlowNodeInstanceReader ([#5446](https://github.com/camunda/operate/issues/5446))
* add setter for parentProcessInstanceKey so that parentKey works as expected ([#5434](https://github.com/camunda/operate/issues/5434))
* **backend**: filter vairables by user tenants ([#5391](https://github.com/camunda/operate/issues/5391))
* **backend**: add more tenant support in Internal API ([#5382](https://github.com/camunda/operate/issues/5382))
* fix double refetch in decisions page on header click or refresh ([#5365](https://github.com/camunda/operate/issues/5365))
* **backend**: decrease refresh period for resource authorizations ([#5341](https://github.com/camunda/operate/issues/5341))
* **deps**: update dependency bpmn-js to v14 (master) ([#5228](https://github.com/camunda/operate/issues/5228))
* **backend**: check security context for tenant check ([#5373](https://github.com/camunda/operate/issues/5373))
* **auth**: even in `sso-auth` profile we need to create Identity ([#5337](https://github.com/camunda/operate/issues/5337))

## 🧹 Chore

* fix failing e2e tests ([#5538](https://github.com/camunda/operate/issues/5538))
* **pom**: update Zeebe and Identity till 8.3.0 ([#5536](https://github.com/camunda/operate/issues/5536))
* **qa**: fix tests ([#5524](https://github.com/camunda/operate/issues/5524))
* **docker-compose**: clean up docker-compose.mt.yml
* add mixpanel events for variable filter ([#5502](https://github.com/camunda/operate/issues/5502))
* **backend**: write `tenantId` for all `list-view` records... ([#5509](https://github.com/camunda/operate/issues/5509))
* update zeebe and identity versions for rc1 ([#5513](https://github.com/camunda/operate/issues/5513))
* Update Browserlist DB
* **backend**: fix sort field to be `tenant`... ([#5503](https://github.com/camunda/operate/issues/5503))
* **backend**: fix compilation
* **deps**: bump com.github.eirslett:frontend-maven-plugin ([#5355](https://github.com/camunda/operate/issues/5355))
* **deps**: bump org.apache.maven.plugins:maven-javadoc-plugin ([#5411](https://github.com/camunda/operate/issues/5411))
* **deps**: bump version.spring.boot from 3.1.3 to 3.1.4 ([#5440](https://github.com/camunda/operate/issues/5440))
* **backend**: add test data for signal events ([#5424](https://github.com/camunda/operate/issues/5424))
* add a11y tests and fix some a11y issues ([#5476](https://github.com/camunda/operate/issues/5476))
* send event to mixpanel for clicking open tasklist link ([#5481](https://github.com/camunda/operate/issues/5481))
* setup a11y tests and add test for login page ([#5478](https://github.com/camunda/operate/issues/5478))
* **backend**: improve logs ([#5469](https://github.com/camunda/operate/issues/5469))
* fix frontend tests ([#5475](https://github.com/camunda/operate/issues/5475))
* use unique id for decisions filter ([#5427](https://github.com/camunda/operate/issues/5427))
* include tenant in decision queries ([#5426](https://github.com/camunda/operate/issues/5426))
* add tenantId filter to process instances query ([#5437](https://github.com/camunda/operate/issues/5437))
* **ci**: tag preview-env Docker image with different prefix for easier cleanup ([#5425](https://github.com/camunda/operate/issues/5425))
* **deps**: update dependency @carbon/react to v1.38.0 (master) ([#5454](https://github.com/camunda/operate/issues/5454))
* fetch diagram xml and statistics separately ([#5433](https://github.com/camunda/operate/issues/5433))
* **backend**: implement remaining OpensearchChecks methods ([#5460](https://github.com/camunda/operate/issues/5460))
* add tenantId filter to decision instances query ([#5438](https://github.com/camunda/operate/issues/5438))
* **preview-env**: Enable livenessProbe for operate service ([#5449](https://github.com/camunda/operate/issues/5449))
* update renovate config ([#5450](https://github.com/camunda/operate/issues/5450))
* **deps**: update all non-major dependencies (master) ([#5199](https://github.com/camunda/operate/issues/5199))
* update all non major dependencies ([#5453](https://github.com/camunda/operate/issues/5453))
* **deps**: update actions/checkout action to v4 ([#5263](https://github.com/camunda/operate/issues/5263))
* **deps**: update stefanzweifel/git-auto-commit-action digest to 3d1b5e0 ([#5325](https://github.com/camunda/operate/issues/5325))
* **deps**: update hashicorp/vault-action digest to a5f6c67 ([#5406](https://github.com/camunda/operate/issues/5406))
* **deps**: update dependency monaco-editor to v0.43.0 ([#5335](https://github.com/camunda/operate/issues/5335))
* **deps**: update dependency @playwright/test to v1.38.1 (master) ([#5378](https://github.com/camunda/operate/issues/5378))
* **deps**: update dependency @testing-library/user-event to v14.5.1 ([#5393](https://github.com/camunda/operate/issues/5393))
* **deps**: update dependency dmn-js to v14.3.0 ([#5375](https://github.com/camunda/operate/issues/5375))
* Update Browserlist DB
* **deps**: update dependency msw to v1.3.1 ([#5448](https://github.com/camunda/operate/issues/5448))
* **deps**: update dependency msw to v1 (master) ([#4915](https://github.com/camunda/operate/issues/4915))
* rename e2e playwright tests workflow ([#5443](https://github.com/camunda/operate/issues/5443))
* add profile to skip ITs and fix one inconsistent IT ([#5423](https://github.com/camunda/operate/issues/5423))
* exclude variable values from url ([#5420](https://github.com/camunda/operate/issues/5420))
* add tenant column in did page and update version link ([#5402](https://github.com/camunda/operate/issues/5402))
* use unique id for processes filter ([#5383](https://github.com/camunda/operate/issues/5383))
* include tenant in process queries ([#5374](https://github.com/camunda/operate/issues/5374))
* use POST instead of GET for grouped decisions endpoint ([#5400](https://github.com/camunda/operate/issues/5400))
* **migration**: use more safe map key ([#5405](https://github.com/camunda/operate/issues/5405))
* Update Browserlist DB
* disable delete definition button if process has running instances ([#5338](https://github.com/camunda/operate/issues/5338))
* add tenant column in pid page and update version link ([#5371](https://github.com/camunda/operate/issues/5371))
* add mixpanel events for definition deletion ([#5259](https://github.com/camunda/operate/issues/5259))
* update process definition deletion warning text ([#5268](https://github.com/camunda/operate/issues/5268))
* **backend**: update base image version ([#5363](https://github.com/camunda/operate/issues/5363))
* use POST instead of GET for grouped processes endpoint ([#5328](https://github.com/camunda/operate/issues/5328))
* **deps**: update all non-major dependencies ([#4983](https://github.com/camunda/operate/issues/4983))
* set IS_VARIABLE_VALUE_IN_FILTER_ENABLED to false ([#5336](https://github.com/camunda/operate/issues/5336))
* **deps**: bump org.mockito:mockito-core from 5.4.0 to 5.5.0 ([#5220](https://github.com/camunda/operate/issues/5220))
* **deps**: bump version.elasticsearch from 7.17.12 to 7.17.13 ([#5304](https://github.com/camunda/operate/issues/5304))
* change variable value field to text area ([#5239](https://github.com/camunda/operate/issues/5239))
* Update Browserlist DB
* update snapshots for visual regression tests ([#5320](https://github.com/camunda/operate/issues/5320))
* update CHANGELOG.md

# v8.3.0-alpha6

## 🧹 Chore

* update Zeebe and Identity to 8.3.0-alpha6 ([#5312](https://github.com/camunda/operate/issues/5312))
* update CHANGELOG.md

# v8.3.0-alpha5

## 🚀 New Features

* enable decision definition deletion in UI ([#5229](https://github.com/camunda/operate/issues/5229))
* **backend**: add `tenantId` to `GET /api/processes/grouped` ([#5222](https://github.com/camunda/operate/issues/5222))
* get tenants for given M2M token from identity ([#5242](https://github.com/camunda/operate/issues/5242))
* **backend**: allow configuring where to read parent data from ([#5203](https://github.com/camunda/operate/issues/5203))
* **backend**: expose `multiTenancyEnabled` in `client-config.json` ([#5224](https://github.com/camunda/operate/issues/5224))
* **backend**: add `tenantId` to `POST /api/decision-instances` ([#5211](https://github.com/camunda/operate/issues/5211))
* **backend**: return tenants in GET `/api/authentications/user` ([#5230](https://github.com/camunda/operate/issues/5230))
* **backend**: add tenantId to `GET /api/decisions/grouped` ([#5238](https://github.com/camunda/operate/issues/5238))
* store user's tenants in session ([#5214](https://github.com/camunda/operate/issues/5214))
* add weekly docker image workflow ([#5215](https://github.com/camunda/operate/issues/5215))
* configuration flag to enable/disable multi tenancy ([#5210](https://github.com/camunda/operate/issues/5210))
* **backend**: add `tenantId` to `POST /api/process-instances` ([#5202](https://github.com/camunda/operate/issues/5202))
* **backend**: API endpoint for process definition deletion ([#5197](https://github.com/camunda/operate/issues/5197))
* **backend**: decouple importer/importer-8.3 from Elasticsearch ([#5094](https://github.com/camunda/operate/issues/5094))
* **backend**: return `tenantId` in Public API ([#5096](https://github.com/camunda/operate/issues/5096))
* display success notification on definition deletion ([#5152](https://github.com/camunda/operate/issues/5152))
* **backend**: Add handler for DELETE_DECISION_DEFINITION operation ([#5157](https://github.com/camunda/operate/issues/5157))
* **api**: Add parentFlowNodeInstanceKey to process instance endpoint. #4971 ([#5149](https://github.com/camunda/operate/issues/5149))
* **backend**: Permissions for decision definition deletion endpoint ([#5148](https://github.com/camunda/operate/issues/5148))
* **backend**: API endpoint for decision definition deletion ([#5137](https://github.com/camunda/operate/issues/5137))
* **backend**: remove els dependencies from datagenerator ([#5103](https://github.com/camunda/operate/issues/5103))
* **backend**: use long for backupId ([#5133](https://github.com/camunda/operate/issues/5133))
* **migration**: log task progress ([#5113](https://github.com/camunda/operate/issues/5113))
* **backend**: Factor out Elasticsearch dependencies in els-schema ([#4936](https://github.com/camunda/operate/issues/4936))
* **backend**: extract interfaces from web module to decrease Elasticsearch coupling ([#4872](https://github.com/camunda/operate/issues/4872))

## 💊 Bugfixes

* **preview-env**: Run the cleanup job in preview-env-deploy workflow only on 'pull_request' events ([#5289](https://github.com/camunda/operate/issues/5289))
* **backend-sec**: use decisionDefinitionId as Long ([#5247](https://github.com/camunda/operate/issues/5247))
* **backend**: Timeout when taking the backup ([#5181](https://github.com/camunda/operate/issues/5181))
* **backend**: Duplicate endpoints in Swagger public API ([#5185](https://github.com/camunda/operate/issues/5185))

## 🧹 Chore

* update Zeebe and Identity to 8.3.0-alpha5 ([#5302](https://github.com/camunda/operate/issues/5302))
* **deps**: update all non-major dependencies (master) ([#5141](https://github.com/camunda/operate/issues/5141))
* **deps**: update dependency @camunda/camunda-composite-components to v0.1.3 (master) ([#5062](https://github.com/camunda/operate/issues/5062))
* **deps**: update dependency sass to v1.66.1 ([#5107](https://github.com/camunda/operate/issues/5107))
* **deps**: update all non-major dependencies (master) ([#4964](https://github.com/camunda/operate/issues/4964))
* **deps**: update dependency @carbon/react to v1.36.0 ([#5165](https://github.com/camunda/operate/issues/5165))
* **deps**: update dependency @carbon/elements to v11.28.0 ([#5162](https://github.com/camunda/operate/issues/5162))
* **deps**: update dependency @carbon/elements to v11.27.0 ([#5081](https://github.com/camunda/operate/issues/5081))
* **deps**: update dependency mobx-react to v9 (master) ([#4929](https://github.com/camunda/operate/issues/4929))
* **deps**: update dependency @floating-ui/react-dom to v2 (master) ([#4928](https://github.com/camunda/operate/issues/4928))
* **deps**: update dependency @carbon/react to v1.35.0 ([#5082](https://github.com/camunda/operate/issues/5082))
* **deps**: update dependency styled-components to v6 (master) ([#4933](https://github.com/camunda/operate/issues/4933))
* fix carbon migration issues ([#5161](https://github.com/camunda/operate/issues/5161))
* **backend-tests**: fix packages ([#5108](https://github.com/camunda/operate/issues/5108))
* **qa**: run Zeebe also for query performance job ([#5075](https://github.com/camunda/operate/issues/5075))
* **qa**: fix preview environment on master ([#5077](https://github.com/camunda/operate/issues/5077))
* **security**: use specific thymeleaf version ([#5056](https://github.com/camunda/operate/issues/5056))
* **ci**: remove PVCs from stage env config ([#5282](https://github.com/camunda/operate/issues/5282))
* add request mocks to modification test ([#5190](https://github.com/camunda/operate/issues/5190))
* check visible items after scrolling within child nodes ([#5266](https://github.com/camunda/operate/issues/5266))
* add visual regression tests for modifications ([#5209](https://github.com/camunda/operate/issues/5209))
* add visual regression tests for process instance page ([#5207](https://github.com/camunda/operate/issues/5207))
* **project**: use Sunday as first day in week ([#5270](https://github.com/camunda/operate/issues/5270))
* **ci**: remove PVCs from stage env config ([#5264](https://github.com/camunda/operate/issues/5264))
* **deps**: bump version.spring.boot from 3.1.2 to 3.1.3 ([#5246](https://github.com/camunda/operate/issues/5246))
* delete unnecessary warning ([#5261](https://github.com/camunda/operate/issues/5261))
* Update Browserlist DB
* update camunda composite components ([#5257](https://github.com/camunda/operate/issues/5257))
* add visual regression tests for decisions page ([#5204](https://github.com/camunda/operate/issues/5204))
* add visual regression tests for processes page ([#5198](https://github.com/camunda/operate/issues/5198))
* add visual regression tests for decision detail page ([#5196](https://github.com/camunda/operate/issues/5196))
* add visual regression tests for dashboard page ([#5194](https://github.com/camunda/operate/issues/5194))
* **deps**: bump semver dependency ([#5248](https://github.com/camunda/operate/issues/5248))
* **deps**: bump com.auth0:mvc-auth-commons from 1.9.5 to 1.10.0 ([#4973](https://github.com/camunda/operate/issues/4973))
* **deps**: bump license-maven-plugin from 4.1 to 4.2 ([#4289](https://github.com/camunda/operate/issues/4289))
* **deps**: bump version.micrometer from 1.11.2 to 1.11.3 ([#5218](https://github.com/camunda/operate/issues/5218))
* **deps**: bump org.testcontainers:elasticsearch from 1.18.3 to 1.19.0 ([#5221](https://github.com/camunda/operate/issues/5221))
* **test**: mark Elasticsearch changes... ([#5241](https://github.com/camunda/operate/issues/5241))
* **deps**: bump com.auth0:jwks-rsa from 0.22.0 to 0.22.1 ([#5023](https://github.com/camunda/operate/issues/5023))
* **deps**: bump org.springdoc:springdoc-openapi-starter-webmvc-ui ([#5139](https://github.com/camunda/operate/issues/5139))
* **deps**: bump org.yaml:snakeyaml from 2.0 to 2.2 ([#5195](https://github.com/camunda/operate/issues/5195))
* **preview-env**: Add a new workflow to clean up preview environments ([#5153](https://github.com/camunda/operate/issues/5153))
* get rid of node-fetch dependency ([#5186](https://github.com/camunda/operate/issues/5186))
* **swagger**: Enum values added to object schemas ([#5180](https://github.com/camunda/operate/issues/5180))
* add release github actions ([#5105](https://github.com/camunda/operate/issues/5105))
* Update Browserlist DB
* **deps**: update stefanzweifel/git-auto-commit-action digest to 47a8ad5 ([#5172](https://github.com/camunda/operate/issues/5172))
* remove carbon folders ([#5175](https://github.com/camunda/operate/issues/5175))
* remove unused global styles ([#5169](https://github.com/camunda/operate/issues/5169))
* remove old theme ([#5168](https://github.com/camunda/operate/issues/5168))
* remove common-ui ([#5167](https://github.com/camunda/operate/issues/5167))
* remove legacy components and routes ([#5166](https://github.com/camunda/operate/issues/5166))
* add process instance history e2e tests ([#5150](https://github.com/camunda/operate/issues/5150))
* **deps**: update dependency @testing-library/jest-dom to v6.1.1 ([#5182](https://github.com/camunda/operate/issues/5182))
* remove legacy e2e tests ([#5164](https://github.com/camunda/operate/issues/5164))
* **gha**: dont trigger deploy-preview on closed PRs ([#5179](https://github.com/camunda/operate/issues/5179))
* remove ThemeProvider from tests ([#5058](https://github.com/camunda/operate/issues/5058))
* fix flaky playwright e2e tests ([#5171](https://github.com/camunda/operate/issues/5171))
* Fix Browserlist GHA ([#5170](https://github.com/camunda/operate/issues/5170))
* Update Browserlist DB
* add process instances table e2e tests ([#5145](https://github.com/camunda/operate/issues/5145))
* add process instance variables e2e tests ([#5144](https://github.com/camunda/operate/issues/5144))
* add process instances filters e2e tests ([#5142](https://github.com/camunda/operate/issues/5142))
* add process instance e2e tests ([#5140](https://github.com/camunda/operate/issues/5140))
* add modification tests ([#5136](https://github.com/camunda/operate/issues/5136))
* add decision tests ([#5084](https://github.com/camunda/operate/issues/5084))
* add dashboard tests ([#5079](https://github.com/camunda/operate/issues/5079))
* **deps**: bump version.elasticsearch from 7.17.9 to 7.17.12 ([#5024](https://github.com/camunda/operate/issues/5024))
* **deps**: bump org.apache.commons:commons-lang3 from 3.12.0 to 3.13.0 ([#5025](https://github.com/camunda/operate/issues/5025))
* add multi instance flow node selection e2e test ([#5111](https://github.com/camunda/operate/issues/5111))
* **deps**: update hashicorp/vault-action digest to cb841f2 ([#4898](https://github.com/camunda/operate/issues/4898))
* **deps**: update dependency ubuntu to v22 ([#5106](https://github.com/camunda/operate/issues/5106))
* **deps**: update dependency @playwright/test to v1.37.0 (master) ([#5109](https://github.com/camunda/operate/issues/5109))
* **deps**: update dependency @testing-library/jest-dom to v6 ([#5117](https://github.com/camunda/operate/issues/5117))
* **deps**: update dependency lint-staged to v14 ([#5118](https://github.com/camunda/operate/issues/5118))
* add call activities e2e tests ([#5076](https://github.com/camunda/operate/issues/5076))
* use imported paths in playwright tests ([#5093](https://github.com/camunda/operate/issues/5093))
* **deps**: update dependency monaco-editor to v0.41.0 ([#5072](https://github.com/camunda/operate/issues/5072))
* add operations e2e tests ([#5031](https://github.com/camunda/operate/issues/5031))
* add processes e2e tests ([#4800](https://github.com/camunda/operate/issues/4800))
* migrate top panel tests ([#5055](https://github.com/camunda/operate/issues/5055))
* pass correct reference of node to fix scrolling up ([#5021](https://github.com/camunda/operate/issues/5021))
* increase release build memory resources
* update CHANGELOG.md

# v8.3.0-alpha4

## 🚀 New Features

* **backend**: Update schema to support DELETE_DECISION_DEFINITION ([#5035](https://github.com/camunda/operate/issues/5035))
* **backend**: resource based permissions for SaaS ([#4965](https://github.com/camunda/operate/issues/4965))
* try active tab polling ([#4940](https://github.com/camunda/operate/issues/4940))
* **backend**: change `treePath` data type and queries for flow node instances ([#4993](https://github.com/camunda/operate/issues/4993))
* **backend**: Endpoint to search decision instances ([#4893](https://github.com/camunda/operate/issues/4893))
* **backend**: default tenantId during migration ([#4877](https://github.com/camunda/operate/issues/4877))
* **backend**: Endpoint to get decision requirements xml ([#4868](https://github.com/camunda/operate/issues/4868))
* **backend**: add `tenantId` fields to indices... ([#4869](https://github.com/camunda/operate/issues/4869))
* **backend**: replace ES BulkRequest with interface BatchRequest  ([#4702](https://github.com/camunda/operate/issues/4702))
* **backend**: Endpoint to search and filter decision requirements ([#4826](https://github.com/camunda/operate/issues/4826))
* **backend**: Endpoint to get decision instance by id ([#4849](https://github.com/camunda/operate/issues/4849))

## 💊 Bugfixes

* **docker**: run as non-root by default ([#5020](https://github.com/camunda/operate/issues/5020))
* use carbon link for external href links ([#5028](https://github.com/camunda/operate/issues/5028))
* **security**: Replace default-src csp header with more specific ones ([#5033](https://github.com/camunda/operate/issues/5033))
* **backend**: Operate importer and archiver are not initialized ([#5000](https://github.com/camunda/operate/issues/5000))
* **backend**: ClassCastException in post importer ([#5008](https://github.com/camunda/operate/issues/5008))
* **deps**: update dependency mobx to v6.10.0 ([#4944](https://github.com/camunda/operate/issues/4944))
* **deps**: update dependency sass to v1.64.0 ([#4954](https://github.com/camunda/operate/issues/4954))
* **deps**: update dependency @camunda/camunda-composite-components to v0.0.42 ([#4947](https://github.com/camunda/operate/issues/4947))
* **backend**: Field parentKey missing in proces instance endpoint ([#4934](https://github.com/camunda/operate/issues/4934))
* **backend**: Public API sequence-flows returns max 10 results ([#4941](https://github.com/camunda/operate/issues/4941))
* **deps**: update dependency @carbon/elements to v11.25.1 ([#4907](https://github.com/camunda/operate/issues/4907))
* **deps**: update dependency sass to v1.63.6 ([#4912](https://github.com/camunda/operate/issues/4912))
* **backend**: fix the exception in post importer ([#4879](https://github.com/camunda/operate/issues/4879))

## 🧹 Chore

* update Zeebe and Identity to 8.3.0-alpha4 ([#5063](https://github.com/camunda/operate/issues/5063))
* carbonize modification info banner ([#5030](https://github.com/camunda/operate/issues/5030))
* change batch action toolbar cancel button name ([#5037](https://github.com/camunda/operate/issues/5037))
* lazy load all pages ([#5048](https://github.com/camunda/operate/issues/5048))
* fix failing e2e test ([#5047](https://github.com/camunda/operate/issues/5047))
* change operations panel empty message ([#5039](https://github.com/camunda/operate/issues/5039))
* remove running operation background color ([#5013](https://github.com/camunda/operate/issues/5013))
* carbonize general notifications ([#4992](https://github.com/camunda/operate/issues/4992))
* convert metadata popover to carbon ([#5012](https://github.com/camunda/operate/issues/5012))
* **deps**: bump org.apache.maven.plugins:maven-surefire-plugin ([#4975](https://github.com/camunda/operate/issues/4975))
* update node
* **deps**: update dependency node to v18.17.0 ([#4943](https://github.com/camunda/operate/issues/4943))
* **deps**: update dependency @playwright/test to v1.36.2 (master) ([#4901](https://github.com/camunda/operate/issues/4901))
* **deps**: bump version.micrometer from 1.11.1 to 1.11.2 ([#4974](https://github.com/camunda/operate/issues/4974))
* carbonize applying modifications overlay ([#4988](https://github.com/camunda/operate/issues/4988))
* add missing carbon component tests ([#4982](https://github.com/camunda/operate/issues/4982))
* update diagram button sizes ([#5004](https://github.com/camunda/operate/issues/5004))
* enable login button when fields are empty ([#4999](https://github.com/camunda/operate/issues/4999))
* **deps**: update dependency @testing-library/jest-dom to v5.17.0 ([#4939](https://github.com/camunda/operate/issues/4939))
* update carbon versions ([#5001](https://github.com/camunda/operate/issues/5001))
* display version in app header ([#4976](https://github.com/camunda/operate/issues/4976))
* update docker base images ([#4996](https://github.com/camunda/operate/issues/4996))
* separate processes and decisions panel position storage ([#4962](https://github.com/camunda/operate/issues/4962))
* improve styles for dashboard bottom panels ([#4959](https://github.com/camunda/operate/issues/4959))
* copy and adjust tests ([#4957](https://github.com/camunda/operate/issues/4957))
* render correct data for child nodes ([#4911](https://github.com/camunda/operate/issues/4911))
* **pom**: update Spring Boot to fix CVE-2023-34034 ([#4970](https://github.com/camunda/operate/issues/4970))
* convert modification badges to carbon ([#4956](https://github.com/camunda/operate/issues/4956))
* convert modification badges to carbon ([#4956](https://github.com/camunda/operate/issues/4956))
* use carbon statistic overlays for pid page ([#4955](https://github.com/camunda/operate/issues/4955))
* migrate modification dropdown to carbon ([#4958](https://github.com/camunda/operate/issues/4958))
* convert process instance diagram component to carbon ([#4946](https://github.com/camunda/operate/issues/4946))
* **deps**: bump unboundid-ldapsdk from 6.0.8 to 6.0.9 ([#4814](https://github.com/camunda/operate/issues/4814))
* **deps**: bump commons-codec from 1.15 to 1.16.0 ([#4816](https://github.com/camunda/operate/issues/4816))
* **deps**: bump mockito-core from 5.3.1 to 5.4.0 ([#4833](https://github.com/camunda/operate/issues/4833))
* convert detail page notifications to carbon ([#4952](https://github.com/camunda/operate/issues/4952))
* add incidents banner ([#4950](https://github.com/camunda/operate/issues/4950))
* update frontend URL routing ([#4935](https://github.com/camunda/operate/issues/4935))
* add empty error states ([#4917](https://github.com/camunda/operate/issues/4917))
* add skeletons ([#4918](https://github.com/camunda/operate/issues/4918))
* render parent items reusing instances bar ([#4885](https://github.com/camunda/operate/issues/4885))
* migrate tests to github actions ([#4865](https://github.com/camunda/operate/issues/4865))
* **deps**: update dependency testcafe to v3 ([#4924](https://github.com/camunda/operate/issues/4924))
* **deps**: update dependency zeebe-node to v8.2.5 (master) ([#4904](https://github.com/camunda/operate/issues/4904))
* **deps**: update hashicorp/vault-action action to v2.7.3 ([#4905](https://github.com/camunda/operate/issues/4905))
* **deps**: update all non-major dependencies ([#4899](https://github.com/camunda/operate/issues/4899))
* **deps**: update dependency monaco-editor to v0.40.0 ([#4902](https://github.com/camunda/operate/issues/4902))
* **deps**: update dependency prettier to v3 (master) ([#4921](https://github.com/camunda/operate/issues/4921))
* **ci**: remove zeebe containers + switch nodepool ([#4923](https://github.com/camunda/operate/issues/4923))
* auth setup for playwright e2e tests ([#4830](https://github.com/camunda/operate/issues/4830))
* add partially expandable data table and render mock data ([#4881](https://github.com/camunda/operate/issues/4881))
* add e2e docs to readme ([#4897](https://github.com/camunda/operate/issues/4897))
* **renovate**: fix branch name for renovate
* enable Renovate on stable branch, enable hadolint on Dockerfile ([#4890](https://github.com/camunda/operate/issues/4890))
* Create backport-action ([#4883](https://github.com/camunda/operate/issues/4883))
* convert metric panel to carbon ([#4878](https://github.com/camunda/operate/issues/4878))
* convert dashboard layout to carbon ([#4876](https://github.com/camunda/operate/issues/4876))
* carbonize drd diagram ([#4838](https://github.com/camunda/operate/issues/4838))
* convert drd panel to carbon ([#4837](https://github.com/camunda/operate/issues/4837))
* setup playwright e2e tests and adjust login page tests ([#4781](https://github.com/camunda/operate/issues/4781))
* convert forbidden pages to carbon ([#4829](https://github.com/camunda/operate/issues/4829))
* update CHANGELOG.md

# v8.3.0-alpha3

## 🚀 New Features

* **backend**: Endpoint to get decision requirements by key ([#4794](https://github.com/camunda/operate/issues/4794))
* **backend**: Introduce NumberThrottable for adapting batch size  ([#4551](https://github.com/camunda/operate/issues/4551))
* **backend**: Endpoint to search and filter decision definitions ([#4708](https://github.com/camunda/operate/issues/4708))
* update bpmn-js / @bpmn-io/element-template-icon-renderer ([#4621](https://github.com/camunda/operate/issues/4621))
* **backend-test**: Add test for catch all error event ([#4706](https://github.com/camunda/operate/issues/4706))
* **backend**: Endpoint to get decision definition by key ([#4677](https://github.com/camunda/operate/issues/4677))
* **backend**: Remove usage of ELS classes ([#4647](https://github.com/camunda/operate/issues/4647))

## 💊 Bugfixes

* **backend**: close ElasticsearchClient properly ([#4840](https://github.com/camunda/operate/issues/4840))
* **deps**: update dependency mixpanel-browser to v2.47.0 ([#4286](https://github.com/camunda/operate/issues/4286))
* **migration-test**: add store package for scanning ([#4793](https://github.com/camunda/operate/issues/4793))
* **backend**: post importer must be ready for deleted process instances ([#4755](https://github.com/camunda/operate/issues/4755))
* **deps**: update dependency dmn-js to v14 ([#4775](https://github.com/camunda/operate/issues/4775))
* **backend**: Field parentKey missing in proces instance endpoint ([#4710](https://github.com/camunda/operate/issues/4710))
* **deps**: update dependency @carbon/elements to v11.24.0 ([#4760](https://github.com/camunda/operate/issues/4760))
* **deps**: update dependency bpmn-js to v13.2.0 ([#4762](https://github.com/camunda/operate/issues/4762))
* **deps**: update dependency date-fns to v2.30.0 ([#4763](https://github.com/camunda/operate/issues/4763))
* **deps**: update all non-major dependencies ([#3962](https://github.com/camunda/operate/issues/3962))
* **backend**: fix NPEs ([#4719](https://github.com/camunda/operate/issues/4719))

## 🧹 Chore

* update Zeebe and Identity to 8.3.0-alpha3 ([#4847](https://github.com/camunda/operate/issues/4847))
* fix dmn arrow color
* convert processes notifications to carbon ([#4828](https://github.com/camunda/operate/issues/4828))
* **deps**: bump frontend-maven-plugin from 1.12.1 to 1.13.4 ([#4812](https://github.com/camunda/operate/issues/4812))
* fix broken styles after carbon update ([#4827](https://github.com/camunda/operate/issues/4827))
* **deps**: update eclipse-temurin:17.0.7_7-jre-focal docker digest ([#4831](https://github.com/camunda/operate/issues/4831))
* convert decisions notifications to carbon ([#4824](https://github.com/camunda/operate/issues/4824))
* copy and adjust tests ([#4823](https://github.com/camunda/operate/issues/4823))
* add result panel ([#4822](https://github.com/camunda/operate/issues/4822))
* add skeleton ([#4821](https://github.com/camunda/operate/issues/4821))
* add input output panel ([#4820](https://github.com/camunda/operate/issues/4820))
* use tabview for bottom panel ([#4809](https://github.com/camunda/operate/issues/4809))
* implement infinite scrolling ([#4790](https://github.com/camunda/operate/issues/4790))
* **docker-compose**: allow deletion with wildcard for dev ELS
* convert decision instance detail header to carbon ([#4803](https://github.com/camunda/operate/issues/4803))
* **deps**: bump maven-shade-plugin from 3.4.1 to 3.5.0 ([#4796](https://github.com/camunda/operate/issues/4796))
* **deps**: bump version.spring.boot from 3.0.7 to 3.1.1 ([#4788](https://github.com/camunda/operate/issues/4788))
* **deps**: bump snakeyaml from 1.33 to 2.0 ([#4185](https://github.com/camunda/operate/issues/4185))
* **deps**: bump maven-failsafe-plugin from 3.1.0 to 3.1.2 ([#4797](https://github.com/camunda/operate/issues/4797))
* **deps**: bump version.micrometer from 1.11.0 to 1.11.1 ([#4795](https://github.com/camunda/operate/issues/4795))
* fix tooltip displayed for operation for large variable names ([#4791](https://github.com/camunda/operate/issues/4791))
* **deps**: bump version.jackson from 2.15.0 to 2.15.2 ([#4633](https://github.com/camunda/operate/issues/4633))
* update image base name
* **deps**: bump auth0 from 1.44.2 to 2.2.0 ([#4468](https://github.com/camunda/operate/issues/4468))
* **deps**: bump maven-source-plugin from 3.2.1 to 3.3.0 ([#4601](https://github.com/camunda/operate/issues/4601))
* **deps**: bump maven-release-plugin from 3.0.0 to 3.0.1 ([#4656](https://github.com/camunda/operate/issues/4656))
* copy and adjust tests ([#4785](https://github.com/camunda/operate/issues/4785))
* fix variable panel tests ([#4773](https://github.com/camunda/operate/issues/4773))
* add visual regression tests ([#4553](https://github.com/camunda/operate/issues/4553))
* add skeleton ([#4759](https://github.com/camunda/operate/issues/4759))
* add view full variable buttons ([#4756](https://github.com/camunda/operate/issues/4756))
* convert variable footer to carbon ([#4752](https://github.com/camunda/operate/issues/4752))
* update carbon and composite component dependencies ([#4774](https://github.com/camunda/operate/issues/4774))
* **deps**: update dependency lint-staged to v13.2.3 ([#4757](https://github.com/camunda/operate/issues/4757))
* **deps**: update dependency @testing-library/dom to v9.3.1 ([#4749](https://github.com/camunda/operate/issues/4749))
* **deps**: update dependency testcafe to v2.6.2 ([#4750](https://github.com/camunda/operate/issues/4750))
* **deps**: update dependency typescript to v5.1.5 ([#4751](https://github.com/camunda/operate/issues/4751))
* convert new variable modifications to carbon ([#4743](https://github.com/camunda/operate/issues/4743))
* **deps**: update dependency monaco-editor to v0.39.0 ([#4731](https://github.com/camunda/operate/issues/4731))
* **deps**: update hashicorp/vault-action digest to 357cb9c ([#4728](https://github.com/camunda/operate/issues/4728))
* **deps**: update node.js to v18 ([#4732](https://github.com/camunda/operate/issues/4732))
* add edit variable field ([#4742](https://github.com/camunda/operate/issues/4742))
* fix styling for existing variables ([#4733](https://github.com/camunda/operate/issues/4733))
* add operation buttons for existing variables ([#4727](https://github.com/camunda/operate/issues/4727))
* **renovate**: remove stable branches from renovate...
* **renovate**: add stable branches to renovate
* **deps**: update eclipse-temurin:17-jre-focal docker digest ([#4735](https://github.com/camunda/operate/issues/4735))
* **Dockerfile**: refactor base image reference
* **deps**: update alpine docker tag to v3.18.2 ([#4729](https://github.com/camunda/operate/issues/4729))
* convert login page to carbon ([#4724](https://github.com/camunda/operate/issues/4724))
* **renovate**: update renovate to enable dockerfile rule
* add simple variable list ([#4716](https://github.com/camunda/operate/issues/4716))
* add no variables message ([#4715](https://github.com/camunda/operate/issues/4715))
* convert add variable buttons to carbon ([#4714](https://github.com/camunda/operate/issues/4714))
* convert empty states of variables panel to carbon ([#4713](https://github.com/camunda/operate/issues/4713))
* migrate bpmn element colors to carbon ([#4705](https://github.com/camunda/operate/issues/4705))
* migrate diagram zoom buttons to Carbon ([#4679](https://github.com/camunda/operate/issues/4679))
* migrate process instances diagram panel to Carbon ([#4666](https://github.com/camunda/operate/issues/4666))
* update camunda composite components ([#4639](https://github.com/camunda/operate/issues/4639))
* copy and fix summary modal tests ([#4703](https://github.com/camunda/operate/issues/4703))
* add json and diff viewers for variable modifications ([#4683](https://github.com/camunda/operate/issues/4683))
* convert input output mappings to carbon ([#4698](https://github.com/camunda/operate/issues/4698))
* convert variable panel tabs to carbon ([#4687](https://github.com/camunda/operate/issues/4687))
* migrate decision instance viewer to Carbon ([#4676](https://github.com/camunda/operate/issues/4676))
* unskip and fix filter test
* convert last modification to carbon ([#4651](https://github.com/camunda/operate/issues/4651))
* convert leaving modification mode modal to Carbon ([#4684](https://github.com/camunda/operate/issues/4684))
* **import**: avoid upserts if possible ([#3753](https://github.com/camunda/operate/issues/3753))
* copy and fix tests ([#4650](https://github.com/camunda/operate/issues/4650))
* migrate decisions tests to Carbon ([#4649](https://github.com/camunda/operate/issues/4649))
* add color tokens for decision tables and literal expressions ([#4665](https://github.com/camunda/operate/issues/4665))
* add decision viewer to decision instances view ([#4645](https://github.com/camunda/operate/issues/4645))
* **test**: remove Zeebe volume from test docker-compose
* update CHANGELOG.md

# v8.3.0-alpha2

## 🚀 New Features

* **backend**: add check for already running reindex task ([#4618](https://github.com/camunda/operate/issues/4618))
* **backend**: When shards gt 1 the IncidentPostImportAction fails ([#4464](https://github.com/camunda/operate/issues/4464))

## 💊 Bugfixes

* **post-importer**: refactor incident processing ([#4567](https://github.com/camunda/operate/issues/4567))
* **backend**: register started process instances for usage-metrics ([#4661](https://github.com/camunda/operate/issues/4661))
* **backend**: Fix vulnerabilities reported by Snyk ([#4602](https://github.com/camunda/operate/issues/4602))
* **deps**: update dependency @carbon/elements to v11.22.0 ([#4462](https://github.com/camunda/operate/issues/4462))
* **chore**: use new GA set-output command ([#4493](https://github.com/camunda/operate/issues/4493))
* **backend**: refactor sort values ([#4465](https://github.com/camunda/operate/issues/4465))

## 🧹 Chore

* **pom**: update Zeebe and Identity to 8.2.0-alpha2 ([#4669](https://github.com/camunda/operate/issues/4669))
* **docker**: fix docker notice text ([#4657](https://github.com/camunda/operate/issues/4657))
* add carbonised skeleton to instance history ([#4641](https://github.com/camunda/operate/issues/4641))
* add warning and error messages ([#4642](https://github.com/camunda/operate/issues/4642))
* **backend**: add converging inclusive gateway to test data ([#4622](https://github.com/camunda/operate/issues/4622))
* add apply modifications modal ([#4635](https://github.com/camunda/operate/issues/4635))
* add diagram shell ([#4636](https://github.com/camunda/operate/issues/4636))
* add discard modifications modal ([#4629](https://github.com/camunda/operate/issues/4629))
* add state icons ([#4589](https://github.com/camunda/operate/issues/4589))
* add modification icons ([#4587](https://github.com/camunda/operate/issues/4587))
* add timestamp ([#4586](https://github.com/camunda/operate/issues/4586))
* add instances tree ([#4582](https://github.com/camunda/operate/issues/4582))
* fix process filter tests ([#4632](https://github.com/camunda/operate/issues/4632))
* convert process variable filters to Carbon ([#4620](https://github.com/camunda/operate/issues/4620))
* **ci**: Add a workflow to make private issues public ([#4495](https://github.com/camunda/operate/issues/4495))
* convert optional process filters to Carbon ([#4615](https://github.com/camunda/operate/issues/4615))
* convert process instances state checkboxes to Carbon ([#4614](https://github.com/camunda/operate/issues/4614))
* add combo boxes to carbon process filter panel ([#4609](https://github.com/camunda/operate/issues/4609))
* copy and fix tests for carbonized decision filters ([#4608](https://github.com/camunda/operate/issues/4608))
* add reset filter button to decision filter panel ([#4575](https://github.com/camunda/operate/issues/4575))
* add button to remove optional filters  ([#4571](https://github.com/camunda/operate/issues/4571))
* add modification frame ([#4568](https://github.com/camunda/operate/issues/4568))
* add instance history panel header ([#4577](https://github.com/camunda/operate/issues/4577))
* copy and adjust integration tests ([#4563](https://github.com/camunda/operate/issues/4563))
* add instances keys inputs to decision filters ([#4569](https://github.com/camunda/operate/issues/4569))
* add date picker and time input to date range modal ([#4535](https://github.com/camunda/operate/issues/4535))
* add error message modal ([#4561](https://github.com/camunda/operate/issues/4561))
* add incidents table ([#4560](https://github.com/camunda/operate/issues/4560))
* add incident header and filters ([#4559](https://github.com/camunda/operate/issues/4559))
* add incidents bar ([#4557](https://github.com/camunda/operate/issues/4557))
* **deps**: update helm release camunda-platform to v8.2.2 ([#4416](https://github.com/camunda/operate/issues/4416))
* **deps**: bump maven-assembly-plugin from 3.5.0 to 3.6.0 ([#4564](https://github.com/camunda/operate/issues/4564))
* **deps**: bump build-helper-maven-plugin from 3.3.0 to 3.4.0 ([#4556](https://github.com/camunda/operate/issues/4556))
* **deps**: bump mvc-auth-commons from 1.9.4 to 1.9.5 ([#4565](https://github.com/camunda/operate/issues/4565))
* **deps**: update docker/build-push-action action to v4 ([#4430](https://github.com/camunda/operate/issues/4430))
* **deps**: update node.js to v16.20.0 ([#3901](https://github.com/camunda/operate/issues/3901))
* add modification button ([#4549](https://github.com/camunda/operate/issues/4549))
* create instance header skeleton ([#4548](https://github.com/camunda/operate/issues/4548))
* create common instance header ([#4547](https://github.com/camunda/operate/issues/4547))
* convert breadcrumb to carbon ([#4534](https://github.com/camunda/operate/issues/4534))
* create detail pages layout ([#4533](https://github.com/camunda/operate/issues/4533))
* use reset css for carbon pages ([#4546](https://github.com/camunda/operate/issues/4546))
* **deps**: bump maven-failsafe-plugin from 3.0.0 to 3.1.0 ([#4550](https://github.com/camunda/operate/issues/4550))
* **Renovate**: enable renovate for Dockerfile
* **deps**: bump java-jwt from 4.3.0 to 4.4.0 ([#4541](https://github.com/camunda/operate/issues/4541))
* **deps**: bump version.jackson from 2.14.2 to 2.15.0 ([#4538](https://github.com/camunda/operate/issues/4538))
* **deps**: bump maven-surefire-plugin from 3.0.0 to 3.1.0 ([#4537](https://github.com/camunda/operate/issues/4537))
* **deps**: bump version.micrometer from 1.10.3 to 1.11.0 ([#4536](https://github.com/camunda/operate/issues/4536))
* **deps**: bump version.spring.boot from 3.0.5 to 3.0.6 ([#4539](https://github.com/camunda/operate/issues/4539))
* **deps**: bump netty-tcnative-boringssl-static ([#4516](https://github.com/camunda/operate/issues/4516))
* **deps**: bump mockito-core from 5.2.0 to 5.3.1 ([#4514](https://github.com/camunda/operate/issues/4514))
* convert process definition deletion to carbon ([#4526](https://github.com/camunda/operate/issues/4526))
* **els/session**: remove exists request ([#4498](https://github.com/camunda/operate/issues/4498))
* **retry/op**: provide message when logging exception ([#4470](https://github.com/camunda/operate/issues/4470))
* copy and adjust tests ([#4520](https://github.com/camunda/operate/issues/4520))
* add inline loader ([#4519](https://github.com/camunda/operate/issues/4519))
* add operation buttons with modals ([#4518](https://github.com/camunda/operate/issues/4518))
* add non sortable oparations column ([#4513](https://github.com/camunda/operate/issues/4513))
* support batch operations with confirmation modal ([#4506](https://github.com/camunda/operate/issues/4506))
* support selection in data table ([#4496](https://github.com/camunda/operate/issues/4496))
* add evaluation date range input ([#4511](https://github.com/camunda/operate/issues/4511))
* Update Browserlist DB
* **deps**: bump maven-surefire-plugin from 3.0.0-M9 to 3.0.0 ([#4255](https://github.com/camunda/operate/issues/4255))
* **deps**: bump maven-failsafe-plugin from 3.0.0-M9 to 3.0.0 ([#4256](https://github.com/camunda/operate/issues/4256))
* **deps**: bump maven-release-plugin from 2.5.3 to 3.0.0 ([#4265](https://github.com/camunda/operate/issues/4265))
* **deps**: bump jwks-rsa from 0.21.3 to 0.22.0 ([#4309](https://github.com/camunda/operate/issues/4309))
* fix carbon panel heading paddings ([#4502](https://github.com/camunda/operate/issues/4502))
* reuse carbon datatable for processes page ([#4483](https://github.com/camunda/operate/issues/4483))
* convert optional filters button to Carbon ([#4467](https://github.com/camunda/operate/issues/4467))
* copy and adjust delete definition tests ([#4461](https://github.com/camunda/operate/issues/4461))
* add carbon checkbox for confirmation ([#4460](https://github.com/camunda/operate/issues/4460))
* use actionable notification for warning content ([#4458](https://github.com/camunda/operate/issues/4458))
* use structured list for details table ([#4457](https://github.com/camunda/operate/issues/4457))
* use carbon modal for definition deletion ([#4456](https://github.com/camunda/operate/issues/4456))
* use carbon for delete operation button ([#4454](https://github.com/camunda/operate/issues/4454))
* update CHANGELOG.md

# v8.3.0-alpha1

## 🚀 New Features

* **backend**: Divide large bulk requests into smaller ones. ([#4450](https://github.com/camunda/operate/issues/4450))
* **backend**: REST API - Return 403 in Get single variable endpoint ([#4323](https://github.com/camunda/operate/issues/4323))
* enable search feature for process names, flow nodes and decisions ([#4406](https://github.com/camunda/operate/issues/4406))
* **feature-flagged**: add decision filter combo boxes ([#4367](https://github.com/camunda/operate/issues/4367))
* add carbon routes ([#4314](https://github.com/camunda/operate/issues/4314))
* **feature-flagged**: replace flow node dropdown by combobox ([#4342](https://github.com/camunda/operate/issues/4342))
* **feature-flagged**: replace process version dropdown by combobox ([#4337](https://github.com/camunda/operate/issues/4337))
* **feature-flagged**: replace process name dropdown by combobox ([#4325](https://github.com/camunda/operate/issues/4325))

## 💊 Bugfixes

* pom.xml to reduce vulnerabilities ([#4333](https://github.com/camunda/operate/issues/4333))
* **backend**: use empty list as default for null value in map ([#4455](https://github.com/camunda/operate/issues/4455))
* **backend**: Use Public API ErrorController in BackupController ([#4453](https://github.com/camunda/operate/issues/4453))
* consume `CAMUNDA_OPERATE_IDENTITY_REDIRECT_ROOT_URL` from env vars ([#4351](https://github.com/camunda/operate/issues/4351))
* docker labels verification ([#4444](https://github.com/camunda/operate/issues/4444))
* fix broken carbon layer colors
* **import**: correctly process possible duplicates when import reread ([#4424](https://github.com/camunda/operate/issues/4424))
* **deps**: update dependency sass to v1.62.0 ([#4423](https://github.com/camunda/operate/issues/4423))
* **deps**: update dependency mobx to v6.9.0 ([#4422](https://github.com/camunda/operate/issues/4422))
* **deps**: update dependency @carbon/elements to v11.21.0 ([#4419](https://github.com/camunda/operate/issues/4419))
* **deps**: update dependency @carbon/react to v1.27.0 ([#4420](https://github.com/camunda/operate/issues/4420))
* replace version combobox by dropdown ([#4385](https://github.com/camunda/operate/issues/4385))
* **backend**: Failures ignored reading records from Zeebe aliases ([#4361](https://github.com/camunda/operate/issues/4361))

## 🧹 Chore

* **backend**: Update Zeebe and Identity to 8.3.0-alpha1 ([#4476](https://github.com/camunda/operate/issues/4476))
* **els/repo**: remove not needed refresh when getting session ([#4478](https://github.com/camunda/operate/issues/4478))
* lazy load carbon pages ([#4466](https://github.com/camunda/operate/issues/4466))
* adjust operations panel and entry tests ([#4452](https://github.com/camunda/operate/issues/4452))
* convert operation panel skeleton to carbon ([#4451](https://github.com/camunda/operate/issues/4451))
* add empty and error states to operations panel ([#4449](https://github.com/camunda/operate/issues/4449))
* add progress bar and change background for running operations ([#4438](https://github.com/camunda/operate/issues/4438))
* convert operation entry to carbon ([#4437](https://github.com/camunda/operate/issues/4437))
* add decision state checkboxes to carbon filter panel ([#4435](https://github.com/camunda/operate/issues/4435))
* add padding to section title ([#4447](https://github.com/camunda/operate/issues/4447))
* fix layering ([#4443](https://github.com/camunda/operate/issues/4443))
* processes layout ([#4446](https://github.com/camunda/operate/issues/4446))
* add decisions fields to carbon filter panel ([#4433](https://github.com/camunda/operate/issues/4433))
* ui improvements for carbon data table ([#4426](https://github.com/camunda/operate/issues/4426))
* support loading state for carbon data table ([#4412](https://github.com/camunda/operate/issues/4412))
* add skeleton state for carbon data table ([#4408](https://github.com/camunda/operate/issues/4408))
* empty and error state for data table ([#4407](https://github.com/camunda/operate/issues/4407))
* support infinite scroll in carbon data table ([#4405](https://github.com/camunda/operate/issues/4405))
* add sorting to carbon datatable ([#4404](https://github.com/camunda/operate/issues/4404))
* **backend**: docker-compose for testing without identity
* **backend**: tiny logs cleanup ([#4432](https://github.com/camunda/operate/issues/4432))
* Update Browserlist DB
* update monaco editor ([#4417](https://github.com/camunda/operate/issues/4417))
* data table link and icon ([#4402](https://github.com/camunda/operate/issues/4402))
* add carbon data table ([#4401](https://github.com/camunda/operate/issues/4401))
* **deps**: update dependency testcafe to v2.5.0 ([#4414](https://github.com/camunda/operate/issues/4414))
* **deps**: update dependency @testing-library/dom to v9.2.0 ([#4396](https://github.com/camunda/operate/issues/4396))
* **deps**: update actions/add-to-project action to v0.5.0 ([#4390](https://github.com/camunda/operate/issues/4390))
* **deps**: update dependency typescript to v5 ([#4287](https://github.com/camunda/operate/issues/4287))
* **deps**: update amannn/action-semantic-pull-request action to v5 ([#4178](https://github.com/camunda/operate/issues/4178))
* support overflowing collapsable panel ([#4391](https://github.com/camunda/operate/issues/4391))
* add collapsable panel with carbon stylings ([#4389](https://github.com/camunda/operate/issues/4389))
* create static panel header with carbon ([#4384](https://github.com/camunda/operate/issues/4384))
* **backend**: update after minor release 8.2 ([#4365](https://github.com/camunda/operate/issues/4365))
* **deps**: update dependency @testing-library/react to v14 ([#4181](https://github.com/camunda/operate/issues/4181))
* **Dockerfile**: update hashsum of base images (arm64) ([#4394](https://github.com/camunda/operate/issues/4394))
* **Dockerfile**: update hashsum of base images ([#4393](https://github.com/camunda/operate/issues/4393))
* **deps**: update hashicorp/vault-action digest to 1d767e3 ([#4352](https://github.com/camunda/operate/issues/4352))
* add stack and spacing to process filter combo boxes ([#4364](https://github.com/camunda/operate/issues/4364))
* create layout for list pages ([#4379](https://github.com/camunda/operate/issues/4379))
* create general layout for carbon ([#4376](https://github.com/camunda/operate/issues/4376))
* Update Browserlist DB
* Update Browserlist DB
* update CHANGELOG.md

# v8.2.0

## 🚀 New Features

* support signal start event ([#4339](https://github.com/camunda/operate/issues/4339))
* add validation for invalid time range ([#4298](https://github.com/camunda/operate/issues/4298))
* **backend**: Add Index Lifecycle Management (ILM) policy for deletion of archived indices ([#4274](https://github.com/camunda/operate/issues/4274))
* **backend**: UPDATE permission when scheduling single operation ([#4306](https://github.com/camunda/operate/issues/4306))
* **migration**: migrate data for permissions ([#4291](https://github.com/camunda/operate/issues/4291))
* **backend**: DELETE permission when scheduling single operation ([#4297](https://github.com/camunda/operate/issues/4297))
* **backend**: UPDATE DELETE permissions scheduling batch operations ([#4273](https://github.com/camunda/operate/issues/4273))
* **backend**: READ permissions on decision-related search queries ([#4269](https://github.com/camunda/operate/issues/4269))
* **backend**: READ permissions on process-related search queries ([#4263](https://github.com/camunda/operate/issues/4263))
* **feature-flagged**: add decision deletion warning ([#4267](https://github.com/camunda/operate/issues/4267))
* implement forbidden content for process instance detail page ([#4221](https://github.com/camunda/operate/issues/4221))
* **backend**: REST API - Return 403 for decision related endpoints ([#4233](https://github.com/camunda/operate/issues/4233))
* display notification when operation fails with auth error ([#4232](https://github.com/camunda/operate/issues/4232))
* **backend**: REST API - Return 403 for process related endpoints ([#4228](https://github.com/camunda/operate/issues/4228))
* implement forbidden content for decision instance detail page ([#4218](https://github.com/camunda/operate/issues/4218))
* check resource based permissions for decision definition deletion ([#4200](https://github.com/camunda/operate/issues/4200))
* hide operation buttons according to resource based permissions ([#4191](https://github.com/camunda/operate/issues/4191))

## 💊 Bugfixes

* define directory as safe ([#4327](https://github.com/camunda/operate/issues/4327))
* check for process name validity before setting field value ([#4307](https://github.com/camunda/operate/issues/4307))
* **backend**: Persistent sessions with Identity permissions ([#4311](https://github.com/camunda/operate/issues/4311))
* mock common ui components to fix fake timers warnings ([#4299](https://github.com/camunda/operate/issues/4299))
* **backend**: return backup created on v.8.1 ([#4293](https://github.com/camunda/operate/issues/4293))
* **deps**: update dependency sass to v1.60.0 ([#4281](https://github.com/camunda/operate/issues/4281))
* load more flow node instances when MAX_INSTANCES_STORED is reached ([#4266](https://github.com/camunda/operate/issues/4266))
* **deps**: update dependency @carbon/react to v1.25.0 ([#4280](https://github.com/camunda/operate/issues/4280))
* **deps**: update dependency @carbon/elements to v11.20.0 ([#4279](https://github.com/camunda/operate/issues/4279))
* **backend**: use static logger in TokenAuthentication ([#4248](https://github.com/camunda/operate/issues/4248))
* **deps**: update dependency @carbon/react to v1.24.0 ([#4251](https://github.com/camunda/operate/issues/4251))
* update slack link ([#4245](https://github.com/camunda/operate/issues/4245))

## 🧹 Chore

* **backend**: update Zeebe and Identity to 8.2.0 ([#4343](https://github.com/camunda/operate/issues/4343))
* use correct link for permissions ([#4338](https://github.com/camunda/operate/issues/4338))
* add ComboBox component ([#4324](https://github.com/camunda/operate/issues/4324))
* Update Browserlist DB
* **project**: use docker image with maven 3, java 17 and bzip2 ([#4326](https://github.com/camunda/operate/issues/4326))
* **qa**: fix tests ([#4322](https://github.com/camunda/operate/issues/4322))
* **pom**: update Zeebe version to 8.2.0-rc1 ([#4321](https://github.com/camunda/operate/issues/4321))
* **deps**: Update Spring Boot to version 3.0.5 ([#4239](https://github.com/camunda/operate/issues/4239))
* **deps**: bump maven-resources-plugin from 3.3.0 to 3.3.1 ([#4288](https://github.com/camunda/operate/issues/4288))
* unskip tests that are no longer flaky ([#4301](https://github.com/camunda/operate/issues/4301))
* Update Browserlist DB
* **deps**: update dependency postcss-custom-properties to v13 ([#4285](https://github.com/camunda/operate/issues/4285))
* update non major dependencies ([#4283](https://github.com/camunda/operate/issues/4283))
* **deps**: update dependency monaco-editor to v0.36.1 ([#4278](https://github.com/camunda/operate/issues/4278))
* **deps**: update dependency lint-staged to v13.2.0 ([#4277](https://github.com/camunda/operate/issues/4277))
* **deps**: update dependency testcafe to v2.4.0 ([#4259](https://github.com/camunda/operate/issues/4259))
* **deps**: update definitelytyped ([#4177](https://github.com/camunda/operate/issues/4177))
* **deps**: update hashicorp/vault-action digest to 3a9100e ([#3959](https://github.com/camunda/operate/issues/3959))
* **deps**: update hashicorp/vault-action action to v2.5.0 ([#4094](https://github.com/camunda/operate/issues/4094))
* **deps**: update dependency glob to v8.1.0 ([#3960](https://github.com/camunda/operate/issues/3960))
* fix some flaky tests ([#4262](https://github.com/camunda/operate/issues/4262))
* remove nested describes ([#4041](https://github.com/camunda/operate/issues/4041))
* remove nested describes ([#4040](https://github.com/camunda/operate/issues/4040))
* remove nested describes ([#4039](https://github.com/camunda/operate/issues/4039))
* remove nested describes ([#4038](https://github.com/camunda/operate/issues/4038))
* Update Browserlist DB
* remove nested describes ([#4037](https://github.com/camunda/operate/issues/4037))
* remove nested describes ([#4042](https://github.com/camunda/operate/issues/4042))
* remove nested describes ([#4036](https://github.com/camunda/operate/issues/4036))
* remove nested describes ([#4035](https://github.com/camunda/operate/issues/4035))
* remove nested describes ([#4034](https://github.com/camunda/operate/issues/4034))
* **Dockerfile**: update hashsum of base images ([#4261](https://github.com/camunda/operate/issues/4261))
* remove browserstack script ([#4252](https://github.com/camunda/operate/issues/4252))
* improve lodash code splitting ([#4215](https://github.com/camunda/operate/issues/4215))
* **deps**: bump unboundid-ldapsdk from 6.0.7 to 6.0.8 ([#4242](https://github.com/camunda/operate/issues/4242))
* **deps**: bump mockito-core from 5.1.1 to 5.2.0 ([#4237](https://github.com/camunda/operate/issues/4237))
* **deps**: bump springdoc-openapi-ui from 1.6.14 to 1.6.15 ([#4238](https://github.com/camunda/operate/issues/4238))
* Update Browserlist DB
* refactor restriction checks ([#4208](https://github.com/camunda/operate/issues/4208))
* update CHANGELOG.md

# v8.2.0-alpha5

## 🚀 New Features

* **backend**: REST API - Return permissions for process instance ([#4223](https://github.com/camunda/operate/issues/4223))
* **backend**: use zeebe sequence field for import position ([#3930](https://github.com/camunda/operate/issues/3930))
* **backend**: REST API - Return permissions for decision definitions ([#4201](https://github.com/camunda/operate/issues/4201))
* check resource based permissions in process instance detail page ([#4189](https://github.com/camunda/operate/issues/4189))
* check resource based permissions for process definition deletion ([#4180](https://github.com/camunda/operate/issues/4180))
* **backend**: Add bpmnProcessId and processDefinitionKey to indices ([#4217](https://github.com/camunda/operate/issues/4217))
* **backend**: Add bpmnProcessId and processDefinitionKey to indices ([#4163](https://github.com/camunda/operate/issues/4163))
* **feature-flagged**: disable delete button and show spinner on delete ([#4193](https://github.com/camunda/operate/issues/4193))
* **backend**: Expose statistics in process instance public API ([#4205](https://github.com/camunda/operate/issues/4205))
* **backend**: Expose sequence flows in process instance public API ([#4199](https://github.com/camunda/operate/issues/4199))
* **backend**: REST API - Return permissions for process definitions ([#4192](https://github.com/camunda/operate/issues/4192))
* **feature-flagged**: move delete button along with operations panel ([#4173](https://github.com/camunda/operate/issues/4173))
* **backend**: read resource based permissions from Identity ([#4165](https://github.com/camunda/operate/issues/4165))
* **feature-flagged**: add process definition deletion flow ([#4172](https://github.com/camunda/operate/issues/4172))
* **feature-flagged**: display warning in process definition deletion modal ([#4171](https://github.com/camunda/operate/issues/4171))
* **backend**: resourcePermissionsEnabled flag in client-config.js ([#4169](https://github.com/camunda/operate/issues/4169))
* **backend**: Expose sequence flows in process instance public API ([#4148](https://github.com/camunda/operate/issues/4148))
* **feature-flagged**: create definition deletion detail table and reuse ([#4162](https://github.com/camunda/operate/issues/4162))
* **feature-flagged**: support new tokens with ancestor selection in instance history panel ([#4078](https://github.com/camunda/operate/issues/4078))
* **feature-flagged**: add decision definition deletion flow ([#4159](https://github.com/camunda/operate/issues/4159))
* **backend**: add configuration parameter to enable and disable resource based permissions ([#4158](https://github.com/camunda/operate/issues/4158))
* **feature-flagged**: add confirmation checkbox for definition deletion modal ([#4152](https://github.com/camunda/operate/issues/4152))
* **feature-flagged**: add support for definition deletion operations ([#4153](https://github.com/camunda/operate/issues/4153))
* **feature-flagged**: Add operations panel to decisions view ([#4138](https://github.com/camunda/operate/issues/4138))
* **feature-flagged**: add drd name to deletion modal ([#4093](https://github.com/camunda/operate/issues/4093))
* **feature-flagged**: display process definition deletion button and modal ([#4128](https://github.com/camunda/operate/issues/4128))
* **backend**: Add flowNodeName to flow node public API ([#4117](https://github.com/camunda/operate/issues/4117))
* **backend**: Add processDefinitionKey to flow node public API ([#4119](https://github.com/camunda/operate/issues/4119))
* **backend**: Use Elasticsearch client compatibility mode  ([#3981](https://github.com/camunda/operate/issues/3981))
* **feature-flagged**: support add token with ancestor key ([#4063](https://github.com/camunda/operate/issues/4063))
* **feature-flagged**: display information bar when adding token to a flow node that has multiple running scopes ([#4057](https://github.com/camunda/operate/issues/4057))
* hide add token option when flow node instance is selected ([#4054](https://github.com/camunda/operate/issues/4054))
* **feature-flagged**: enable add token modification for flow nodes that has multiple running scopes ([#4053](https://github.com/camunda/operate/issues/4053))
* **backend**: Add flowNodeName to flow node public API ([#4068](https://github.com/camunda/operate/issues/4068))
* **feature-flagged**: add decision definition modal ([#4072](https://github.com/camunda/operate/issues/4072))
* **feature-flagged**: add delete decision definition button ([#4067](https://github.com/camunda/operate/issues/4067))

## 💊 Bugfixes

* **backend**: ClusterMetadata cannot be created ([#4211](https://github.com/camunda/operate/issues/4211))
* fix skeleton row logic for variables panel ([#4188](https://github.com/camunda/operate/issues/4188))
* **deps**: update dependency sass to v1.58.3 ([#4156](https://github.com/camunda/operate/issues/4156))
* **deps**: update dependency @floating-ui/react-dom to v1.3.0 ([#4145](https://github.com/camunda/operate/issues/4145))
* **deps**: update dependency @carbon/react to v1.23.1 ([#4155](https://github.com/camunda/operate/issues/4155))
* **backend**: change type of backupId to Integer ([#4136](https://github.com/camunda/operate/issues/4136))
* **deps**: update dependency react-textarea-autosize to v8.4.0 ([#4147](https://github.com/camunda/operate/issues/4147))
* **deps**: update dependency @carbon/elements to v11.19.0 ([#4095](https://github.com/camunda/operate/issues/4095))
* **deps**: update dependency @carbon/react to v1.22.0 ([#4096](https://github.com/camunda/operate/issues/4096))
* **deps**: update dependency mobx-react to v7.6.0 ([#4097](https://github.com/camunda/operate/issues/4097))
* **backend**: messageName and correlationKey shown after message ([#4105](https://github.com/camunda/operate/issues/4105))
* **backend-test**: change versions ([#4121](https://github.com/camunda/operate/issues/4121))
* **deps**: update dependency @floating-ui/react-dom to v1.2.2 ([#3964](https://github.com/camunda/operate/issues/3964))
* **deps**: update dependency @devbookhq/splitter to v1.4.0 ([#3963](https://github.com/camunda/operate/issues/3963))
* **deps**: update dependency final-form-arrays to v3.1.0 ([#3965](https://github.com/camunda/operate/issues/3965))
* **deps**: update dependency mobx to v6.8.0 ([#3967](https://github.com/camunda/operate/issues/3967))
* hide date picker when date range popover is hidden ([#4055](https://github.com/camunda/operate/issues/4055))

## 🧹 Chore

* **backend**: update Zeebe and Identity to 8.2.0-alpha5 ([#4230](https://github.com/camunda/operate/issues/4230))
* OCI and OpenShift labels as part of Docker image metadata ([#4081](https://github.com/camunda/operate/issues/4081))
* Update Browserlist DB
* **deps**: bump maven-failsafe-plugin from 3.0.0-M8 to 3.0.0-M9 ([#4110](https://github.com/camunda/operate/issues/4110))
* **deps**: bump maven-assembly-plugin from 3.4.2 to 3.5.0 ([#4168](https://github.com/camunda/operate/issues/4168))
* **deps**: bump netty-tcnative-boringssl-static ([#4146](https://github.com/camunda/operate/issues/4146))
* **deps**: bump maven-compiler-plugin from 3.10.1 to 3.11.0 ([#4186](https://github.com/camunda/operate/issues/4186))
* **pom**: fix Maven filtering ([#4204](https://github.com/camunda/operate/issues/4204))
* remove nested describes and fix act warnings ([#4033](https://github.com/camunda/operate/issues/4033))
* remove nested describe blocks and fix act warnings ([#4032](https://github.com/camunda/operate/issues/4032))
* Update Browserlist DB
* use DeleteDefinitionModal ([#4154](https://github.com/camunda/operate/issues/4154))
* **deps**: bump netty-tcnative-boringssl-static ([#4104](https://github.com/camunda/operate/issues/4104))
* **deps**: bump maven-surefire-plugin from 3.0.0-M8 to 3.0.0-M9 ([#4111](https://github.com/camunda/operate/issues/4111))
* **deps**: bump maven-javadoc-plugin from 3.4.1 to 3.5.0 ([#4129](https://github.com/camunda/operate/issues/4129))
* create reusable delete definition modal ([#4113](https://github.com/camunda/operate/issues/4113))
* create common message component and reuse in summary modal ([#4108](https://github.com/camunda/operate/issues/4108))
* **deps**: bump version.jackson from 2.14.1 to 2.14.2 ([#4010](https://github.com/camunda/operate/issues/4010))
* **deps**: bump mockito-core from 5.0.0 to 5.1.1 ([#4015](https://github.com/camunda/operate/issues/4015))
* **deps**: bump version.elasticsearch from 7.17.8 to 7.17.9 ([#4044](https://github.com/camunda/operate/issues/4044))
* **deps**: bump netty-tcnative-boringssl-static ([#4043](https://github.com/camunda/operate/issues/4043))
* **deps**: bump java-jwt from 4.2.2 to 4.3.0 ([#4100](https://github.com/camunda/operate/issues/4100))
* Update Browserlist DB
* **deps**: update actions/add-to-project action to v0.4.0 ([#3742](https://github.com/camunda/operate/issues/3742))
* **deps**: update dependency testcafe to v2.3.1 ([#4092](https://github.com/camunda/operate/issues/4092))
* **deps**: update definitelytyped ([#4090](https://github.com/camunda/operate/issues/4090))
* **deps**: update dependency monaco-editor to v0.35.0 ([#4091](https://github.com/camunda/operate/issues/4091))
* update CHANGELOG.md

# v8.2.0-alpha4

## 🚀 New Features

* **backend**: Add web security headers ([#4028](https://github.com/camunda/operate/issues/4028))
* move single token modification ([#4008](https://github.com/camunda/operate/issues/4008))
* **backend**: Add processDefinitionKey to flow node public API ([#4022](https://github.com/camunda/operate/issues/4022))
* **backend**: Extend flownode-instances public API with flowNodeId ([#3989](https://github.com/camunda/operate/issues/3989))
* enable cancel single token modification ([#3993](https://github.com/camunda/operate/issues/3993))
* change design for single running instance selection on diagram ([#3983](https://github.com/camunda/operate/issues/3983))
* display spinner in modification dropdown ([#3978](https://github.com/camunda/operate/issues/3978))
* pass flow node instance key to modify api ([#3957](https://github.com/camunda/operate/issues/3957))
* **backend**: add ancestorElementInstanceKey to modify process instance operation ([#3906](https://github.com/camunda/operate/issues/3906))
* display instance key in summary modal ([#3954](https://github.com/camunda/operate/issues/3954))
* allow canceling multi instance instances ([#3947](https://github.com/camunda/operate/issues/3947))
* **feature-flagged**: support cancel single modification in history and variables panel ([#3922](https://github.com/camunda/operate/issues/3922))
* add validation for time inputs to date range filters ([#3903](https://github.com/camunda/operate/issues/3903))
* **backend**: add organizationId label to count model metric ([#3938](https://github.com/camunda/operate/issues/3938))
* add placeholder for date range input ([#3888](https://github.com/camunda/operate/issues/3888))
* **feature-flagged**: add multiple instance selected info bar ([#3918](https://github.com/camunda/operate/issues/3918))
* **feature-flagged**: add cancel selected option for modification dropdown ([#3914](https://github.com/camunda/operate/issues/3914))
* **feature-flagged**: display selected running instances count in modification dropdown ([#3910](https://github.com/camunda/operate/issues/3910))
* allow cancel and move operations on elements inside multi instance subprocesses ([#3885](https://github.com/camunda/operate/issues/3885))

## 💊 Bugfixes

* correctly position modification dropdown ([#4045](https://github.com/camunda/operate/issues/4045))
* fix add variable issue when new placeholder is selected from diagram ([#4023](https://github.com/camunda/operate/issues/4023))
* **backend**: improve Identity token handling ([#4064](https://github.com/camunda/operate/issues/4064))
* **backend-vulnerability**: use explicit snakeyaml version ([#4058](https://github.com/camunda/operate/issues/4058))
* prevent flickering on diagram panel during polling ([#4016](https://github.com/camunda/operate/issues/4016))
* update common ui to solve big process name issue ([#4024](https://github.com/camunda/operate/issues/4024))
* shift date range popover when not enough space ([#4013](https://github.com/camunda/operate/issues/4013))
* make input/output mappings tabs scrollable ([#3970](https://github.com/camunda/operate/issues/3970))
* **backend-test**: ignore flaky tests
* display correct theme for editors when system theme is selected ([#3966](https://github.com/camunda/operate/issues/3966))
* **import**: avoid NPE in case of empty reread ([#3951](https://github.com/camunda/operate/issues/3951))
* **backend**: avoid archiver timeouts ([#3904](https://github.com/camunda/operate/issues/3904))
* **deps**: update dependency @carbon/react to v1.20.0 ([#3961](https://github.com/camunda/operate/issues/3961))
* **e2e**: create process instances in batches ([#3955](https://github.com/camunda/operate/issues/3955))
* **deps**: update all non-major dependencies ([#3744](https://github.com/camunda/operate/issues/3744))
* **deps**: update dependency sass to v1.57.1 ([#3648](https://github.com/camunda/operate/issues/3648))
* **deps**: update dependency @carbon/elements to v11.17.0 ([#3351](https://github.com/camunda/operate/issues/3351))
* **deps**: update react monorepo to v18 (major) ([#3199](https://github.com/camunda/operate/issues/3199))
* **backend**: fix bean dependencies ([#3898](https://github.com/camunda/operate/issues/3898))

## 🧹 Chore

* **backend**: update Zeebe and Identity to 8.2.0-alpha4 ([#4082](https://github.com/camunda/operate/issues/4082))
* support has pending move modification ([#4012](https://github.com/camunda/operate/issues/4012))
* remove IS_DATE_RANGE_FILTERS_ENABLED feature flag ([#4059](https://github.com/camunda/operate/issues/4059))
* Update Browserlist DB
* add empty column for variables table for proper alignment ([#4030](https://github.com/camunda/operate/issues/4030))
* make mixpanel available as global variable ([#4017](https://github.com/camunda/operate/issues/4017))
* **GHA**: use CI Nexus as co-located pull-through cache for Maven artifacts via ~/.m2/settings.xml ([#4011](https://github.com/camunda/operate/issues/4011))
* update QA issue
* update QA issue template
* rename QA template
* Create QA template ([#4014](https://github.com/camunda/operate/issues/4014))
* Update Browserlist DB
* **deps**: bump java-jwt from 4.2.1 to 4.2.2 ([#3927](https://github.com/camunda/operate/issues/3927))
* show linting warnings in pre-commit hook ([#3975](https://github.com/camunda/operate/issues/3975))
* Update Browserlist DB
* **deps**: update dependency testcafe to v2.2.0 ([#3900](https://github.com/camunda/operate/issues/3900))
* **deps**: update dependency lint-staged to v13.1.0 ([#3860](https://github.com/camunda/operate/issues/3860))
* **deps**: update dependency prettier to v2.8.3 ([#3745](https://github.com/camunda/operate/issues/3745))
* **deps**: update dependency typescript to v4.9.4 ([#3710](https://github.com/camunda/operate/issues/3710))
* reset stores on unmount in tests ([#3912](https://github.com/camunda/operate/issues/3912))
* use cancelAllTokens in tests and rename flow node id in process xml mock ([#3929](https://github.com/camunda/operate/issues/3929))
* **deps**: bump gson from 2.10 to 2.10.1 ([#3908](https://github.com/camunda/operate/issues/3908))
* **deps**: bump netty-tcnative-boringssl-static ([#3919](https://github.com/camunda/operate/issues/3919))
* **deps**: bump version.micrometer from 1.10.2 to 1.10.3 ([#3921](https://github.com/camunda/operate/issues/3921))
* **deps**: bump maven-failsafe-plugin from 3.0.0-M7 to 3.0.0-M8 ([#3925](https://github.com/camunda/operate/issues/3925))
* **deps**: bump maven-surefire-plugin from 3.0.0-M7 to 3.0.0-M8 ([#3926](https://github.com/camunda/operate/issues/3926))
* **deps**: bump mvc-auth-commons from 1.9.3 to 1.9.4 ([#3928](https://github.com/camunda/operate/issues/3928))
* **deps**: bump assertj-core from 3.23.1 to 3.24.2 ([#3942](https://github.com/camunda/operate/issues/3942))
* **deps**: bump mockito-core from 4.10.0 to 5.0.0 ([#3937](https://github.com/camunda/operate/issues/3937))
* **readme**: add link to Maven settings
* Update Browserlist DB
* simplify variable form state ([#3905](https://github.com/camunda/operate/issues/3905))
* Update Browserlist DB
* upgrade dependencies ([#3890](https://github.com/camunda/operate/issues/3890))
* update CHANGELOG.md

# v8.2.0-alpha3

## 🚀 New Features

* **backend**: return 502 in case of Elastic connection error ([#3880](https://github.com/camunda/operate/issues/3880))
* **backend**: Add BPMN and DMN model count as metric (prometheus) ([#3863](https://github.com/camunda/operate/issues/3863))
* add dark mode support for date range filters ([#3872](https://github.com/camunda/operate/issues/3872))
* **backend**: endpoint to list backups ([#3875](https://github.com/camunda/operate/issues/3875))
* **backend**: add fromFlowNodeInstanceKey to CANCEL and MOVE token ([#3873](https://github.com/camunda/operate/issues/3873))
* support escalation events ([#3854](https://github.com/camunda/operate/issues/3854))
* support link events ([#3848](https://github.com/camunda/operate/issues/3848))
* **feature-flagged**: add mixpanel tracking for date range filter ([#3771](https://github.com/camunda/operate/issues/3771))
* **test-data**: test data for data storage ([#3846](https://github.com/camunda/operate/issues/3846))

## 💊 Bugfixes

* **chore**: fix build release docker images ([#3896](https://github.com/camunda/operate/issues/3896))
* **backend**: rename `backup` endpoint to `backups` ([#3881](https://github.com/camunda/operate/issues/3881))
* **incident/imp**: stop control when no incidents found ([#3865](https://github.com/camunda/operate/issues/3865))
* **backend**: use domain instead of backendDomain ([#3856](https://github.com/camunda/operate/issues/3856))
* move date range filter popup position on scroll ([#3858](https://github.com/camunda/operate/issues/3858))
* **deps**: update dependency @carbon/react to v1.19.0 ([#3240](https://github.com/camunda/operate/issues/3240))
* display correct variable panel state when switching between tabs ([#3841](https://github.com/camunda/operate/issues/3841))

## 🧹 Chore

* **backend**: expose `backups` actuator endpoint
* **ci**: fix release script
* **backend**: update Zeebe and Identity to 8.2.0-alpha3 ([#3891](https://github.com/camunda/operate/issues/3891))
* enable e2e test for date range filters ([#3853](https://github.com/camunda/operate/issues/3853))
* **qa**: fix flaky tests ([#3884](https://github.com/camunda/operate/issues/3884))
* Update Browserlist DB
* **deps**: bump springdoc-openapi-ui from 1.6.13 to 1.6.14 ([#3874](https://github.com/camunda/operate/issues/3874))
* **deps**: bump mockito-core from 4.9.0 to 4.10.0 ([#3870](https://github.com/camunda/operate/issues/3870))
* **deps**: bump version.elasticsearch from 7.17.6 to 7.17.8 ([#3871](https://github.com/camunda/operate/issues/3871))
* Update Browserlist DB
* update date range popover design ([#3852](https://github.com/camunda/operate/issues/3852))
* **project**: use docker buildx for multi-architecture images ([#3843](https://github.com/camunda/operate/issues/3843))
* **preview-env**: Add missing requests and limits resources ([#3839](https://github.com/camunda/operate/issues/3839))
* **backend**: improve exception logging for delete backup ([#3840](https://github.com/camunda/operate/issues/3840))
* update common ui to use correct error notification icon ([#3847](https://github.com/camunda/operate/issues/3847))
* refactor date range popover ([#3842](https://github.com/camunda/operate/issues/3842))
* remove pre-commit tests ([#3844](https://github.com/camunda/operate/issues/3844))
* **qa**: test clean up

# v8.2.0-alpha2

## 🚀 New Features

* add modeler link to dashboard in SaaS ([#3814](https://github.com/camunda/operate/issues/3814))
* add new empty states to dashboard ([#3759](https://github.com/camunda/operate/issues/3759))
* enable new app header ([#3791](https://github.com/camunda/operate/issues/3791))
* remove support for old hash links ([#3787](https://github.com/camunda/operate/issues/3787))
* **feature-flagged**: hide app switcher in CCSM ([#3778](https://github.com/camunda/operate/issues/3778))
* **backend**: add ClusterMetadata for c8 links ([#3761](https://github.com/camunda/operate/issues/3761))
* **feature-flagged**: display license header ([#3777](https://github.com/camunda/operate/issues/3777))
* **backend**: support undefined task  ([#3752](https://github.com/camunda/operate/issues/3752))
* **feature-flagged**: update operate theme when system theme is changed ([#3750](https://github.com/camunda/operate/issues/3750))
* **feature-flagged**: implement info bar ([#3705](https://github.com/camunda/operate/issues/3705))
* **feature-flagged**: implement app switcher ([#3730](https://github.com/camunda/operate/issues/3730))
* **backend**: Get backup state endpoint ([#3746](https://github.com/camunda/operate/issues/3746))
* **feature-flagged**: make date inputs editable ([#3729](https://github.com/camunda/operate/issues/3729))
* **feature-flagged**: add time inputs to date range popover ([#3708](https://github.com/camunda/operate/issues/3708))
* **feature-flagged**: implement theme switcher ([#3701](https://github.com/camunda/operate/issues/3701))
* **feature-flagged**: display user info and implement logout ([#3698](https://github.com/camunda/operate/issues/3698))
* **feature-flagged**: use app header from camunda composite components ([#3693](https://github.com/camunda/operate/issues/3693))
* add default date range values ([#3675](https://github.com/camunda/operate/issues/3675))
* **feature-flagged**: add date picker ([#3654](https://github.com/camunda/operate/issues/3654))
* **backend**: delete backup endpoint ([#3652](https://github.com/camunda/operate/issues/3652))
* **backend**: support inclusive gateway ([#3632](https://github.com/camunda/operate/issues/3632))

## 💊 Bugfixes

* **archiver**: avoid retries in too short intervals ([#3756](https://github.com/camunda/operate/issues/3756))
* **backend**: distinguish JwtToken and UserToken authentication ([#3819](https://github.com/camunda/operate/issues/3819))
* **backend**: count only root process instance for metrics ([#3808](https://github.com/camunda/operate/issues/3808))
* **backend**: don't check pendingIncident twice ([#3760](https://github.com/camunda/operate/issues/3760))
* fix mixpanel loading ([#3764](https://github.com/camunda/operate/issues/3764))
* **feature-flagged**: use correct theme for helper modal ([#3783](https://github.com/camunda/operate/issues/3783))
* **backend**: exclude multi instance body from statistic ([#3765](https://github.com/camunda/operate/issues/3765))
* **backend**: fix flow node instance statistics ([#3767](https://github.com/camunda/operate/issues/3767))
* **deps**: update all non-major dependencies ([#3647](https://github.com/camunda/operate/issues/3647))
* **deps**: update dependency bpmn-js to v10.3.0 ([#3670](https://github.com/camunda/operate/issues/3670))
* **import/fni**: avoid duplicated indexing requests ([#3720](https://github.com/camunda/operate/issues/3720))
* **test**: pass expected variable to avoid incident ([#3731](https://github.com/camunda/operate/issues/3731))
* **tests**: wait for a specific number of tokens ([#3724](https://github.com/camunda/operate/issues/3724))
* exclude new header from the global styling ([#3711](https://github.com/camunda/operate/issues/3711))
* switching dmn decision versions ([#3679](https://github.com/camunda/operate/issues/3679))
* **backend**: deprecate OAuthClientProperties ([#3522](https://github.com/camunda/operate/issues/3522))
* **deps**: update dependency @bpmn-io/element-templates-icons-renderer to v0.3.0 ([#3444](https://github.com/camunda/operate/issues/3444))
* **deps**: update dependency bpmn-js to v10.2.1 ([#3432](https://github.com/camunda/operate/issues/3432))

## 🧹 Chore

* **qa**: fix couple of flaky tests ([#3823](https://github.com/camunda/operate/issues/3823))
* **project**: update Zeebe and Identity versions to 8.2.0-alpha2 ([#3815](https://github.com/camunda/operate/issues/3815))
* **deps**: bump unboundid-ldapsdk from 6.0.6 to 6.0.7 ([#3785](https://github.com/camunda/operate/issues/3785))
* **qa**: fix Zeebe version retrieval ([#3802](https://github.com/camunda/operate/issues/3802))
* Update Browserlist DB
* **ci**: remove vault-template in favour of secret operator ([#3766](https://github.com/camunda/operate/issues/3766))
* update camunda composite components library
* **pom**: update Spring Boot to 2.7.6 ([#3772](https://github.com/camunda/operate/issues/3772))
* update camunda composite components library and fix version ([#3774](https://github.com/camunda/operate/issues/3774))
* improve tests ([#3770](https://github.com/camunda/operate/issues/3770))
* use async selectors in tests when necessary ([#3769](https://github.com/camunda/operate/issues/3769))
* improve button accessibility for getByRole selectors ([#3768](https://github.com/camunda/operate/issues/3768))
* **feature-flagged**: increase app header tests ([#3758](https://github.com/camunda/operate/issues/3758))
* **feature-flagged**: add mixpanel events for app header ([#3743](https://github.com/camunda/operate/issues/3743))
* **backend**: backup restore test ([#3525](https://github.com/camunda/operate/issues/3525))
* **deps**: bump version.micrometer from 1.10.1 to 1.10.2 ([#3741](https://github.com/camunda/operate/issues/3741))
* **deps**: update dependency testcafe to v2.1.0 ([#3665](https://github.com/camunda/operate/issues/3665))
* add source field to the single operation event ([#3734](https://github.com/camunda/operate/issues/3734))
* **deps**: bump mockito-core from 4.8.0 to 4.9.0 ([#3676](https://github.com/camunda/operate/issues/3676))
* **deps**: bump elasticsearch from 1.17.5 to 1.17.6 ([#3694](https://github.com/camunda/operate/issues/3694))
* **deps**: bump springdoc-openapi-ui from 1.6.12 to 1.6.13 ([#3709](https://github.com/camunda/operate/issues/3709))
* **deps**: bump version.jackson from 2.14.0 to 2.14.1 ([#3717](https://github.com/camunda/operate/issues/3717))
* **metrics**: don't set random uuid ([#3684](https://github.com/camunda/operate/issues/3684))
* **feature-flagged**: Refactor URL parameters for date ranges ([#3671](https://github.com/camunda/operate/issues/3671))
* **qa**: ignore ImportSeveralVersionsIT test
* Update Browserlist DB
* **deps**: bump java-jwt from 4.1.0 to 4.2.1 ([#3539](https://github.com/camunda/operate/issues/3539))
* **deps**: update helm release camunda-platform to v8.1.1 ([#3669](https://github.com/camunda/operate/issues/3669))
* **deps**: bump version.micrometer from 1.9.5 to 1.10.1 ([#3681](https://github.com/camunda/operate/issues/3681))
* **deps**: bump version.jackson from 2.13.4 to 2.14.0 ([#3636](https://github.com/camunda/operate/issues/3636))
* remove nested describes ([#3668](https://github.com/camunda/operate/issues/3668))
* increase amount of demo data instances ([#3682](https://github.com/camunda/operate/issues/3682))
* **deps**: update hashicorp/vault-action digest to 8fa61e9 ([#3509](https://github.com/camunda/operate/issues/3509))
* **deps**: update definitelytyped ([#3258](https://github.com/camunda/operate/issues/3258))
* type getUser API and refactor tests ([#3663](https://github.com/camunda/operate/issues/3663))
* type modify API and refactor tests ([#3662](https://github.com/camunda/operate/issues/3662))
* use mock functions for some leftover APIs ([#3661](https://github.com/camunda/operate/issues/3661))
* **deps**: update node.js to v16.18.1 ([#3510](https://github.com/camunda/operate/issues/3510))
* **qa**: give more resources to Elastic pod ([#3659](https://github.com/camunda/operate/issues/3659))
* type fetchDecisionInstance API and refactor tests ([#3658](https://github.com/camunda/operate/issues/3658))
* type fetchDecisionInstances API and refactor tests  ([#3657](https://github.com/camunda/operate/issues/3657))
* type fetchDrdData API and refactor tests ([#3656](https://github.com/camunda/operate/issues/3656))
* type fetchGroupedDecisions API and refactor tests ([#3655](https://github.com/camunda/operate/issues/3655))
* type login and logout APIs and refactor tests ([#3646](https://github.com/camunda/operate/issues/3646))
* type getOperation API and refactor tests  ([#3638](https://github.com/camunda/operate/issues/3638))
* type fetchVariable API and refactor tests ([#3637](https://github.com/camunda/operate/issues/3637))
* reorganize api files ([#3634](https://github.com/camunda/operate/issues/3634))
* **qa**: increase Docker pod resources ([#3653](https://github.com/camunda/operate/issues/3653))
* **preview-env**: Track camunda helm chart with Renovate ([#3649](https://github.com/camunda/operate/issues/3649))
* update node version in pom.xml
* **deps**: update dependency @types/node to v16.18.3 ([#3621](https://github.com/camunda/operate/issues/3621))
* **deps**: update all non-major dependencies ([#3625](https://github.com/camunda/operate/issues/3625))
* update definition of ready for bug issues ([#3640](https://github.com/camunda/operate/issues/3640))
* type applyOperation APIs and refactor tests  ([#3631](https://github.com/camunda/operate/issues/3631))
* **preview-env**: Track camunda helm chart with Renovate
* type fetchBatchOperations API and refactor tests ([#3626](https://github.com/camunda/operate/issues/3626))
* type processXML APIs and refactor tests ([#3624](https://github.com/camunda/operate/issues/3624))
* type fetchFlowNodeMetaData API and refactor tests  ([#3623](https://github.com/camunda/operate/issues/3623))
* **deps**: bump springdoc-openapi-ui from 1.6.11 to 1.6.12 ([#3507](https://github.com/camunda/operate/issues/3507))
* **deps**: bump version.spring.boot from 2.7.4 to 2.7.5 ([#3523](https://github.com/camunda/operate/issues/3523))
* **deps**: bump gson from 2.9.1 to 2.10 ([#3532](https://github.com/camunda/operate/issues/3532))
* **deps**: bump mvc-auth-commons from 1.9.2 to 1.9.3 ([#3542](https://github.com/camunda/operate/issues/3542))
* **deps**: bump maven-shade-plugin from 3.4.0 to 3.4.1 ([#3548](https://github.com/camunda/operate/issues/3548))
* **deps**: update all non-major dependencies ([#3616](https://github.com/camunda/operate/issues/3616))
* Update Browserlist DB
* type incidents APIs and refactor tests  ([#3586](https://github.com/camunda/operate/issues/3586))
* type fetchVariables API and refactor tests  ([#3584](https://github.com/camunda/operate/issues/3584))
* type fetchProcessInstanceDetailStatistics API and refactor tests ([#3578](https://github.com/camunda/operate/issues/3578))
* **qa**: fix tests ([#3585](https://github.com/camunda/operate/issues/3585))
* **qa**: unignore and fix ImportMidnightIT test ([#3519](https://github.com/camunda/operate/issues/3519))

# v8.2.0-alpha1

## 💊 Bugfixes

* **backend**: fix incident import for migrated flow node instances ([#3503](https://github.com/camunda/operate/issues/3503))
* **dmn**: disable ELS indexing of DMN input and output values ([#3541](https://github.com/camunda/operate/issues/3541))
* Fix Identity authentication for non-empty context path (#3515) ([#3521](https://github.com/camunda/operate/issues/3521))
* Add audience check of JWT for SaaS ([#3502](https://github.com/camunda/operate/issues/3502))
* **backend**: add null check for JWT payload scope ([#3500](https://github.com/camunda/operate/issues/3500))
* **backend**: add AccessDeniedHandler to Error ([#3511](https://github.com/camunda/operate/issues/3511))
* **deps**: update dependency bpmn-moddle to v8 ([#3458](https://github.com/camunda/operate/issues/3458))
* enable adding variables for new parent scopes ([#3494](https://github.com/camunda/operate/issues/3494))
* **backend**: use Zeebe 8.1.0 for tests ([#3492](https://github.com/camunda/operate/issues/3492))
* **preview-env**: Add missing input for teardown worflow
* **preview-env**: Add missing env

## 🧹 Chore

* **backend**: update Zeebe and Identity to 8.2.0-alpha1 ([#3581](https://github.com/camunda/operate/issues/3581))
* type fetchProcessesInstancesStatistics API and refactor tests #3576 ([#3577](https://github.com/camunda/operate/issues/3577))
* type fetchProcessesCoreStatistics API and refactor tests ([#3576](https://github.com/camunda/operate/issues/3576))
* type fetchGroupedProcesses API and refactor tests ([#3575](https://github.com/camunda/operate/issues/3575))
* type fetchProcessInstances API and refactor tests ([#3573](https://github.com/camunda/operate/issues/3573))
* **Dockerfile**: update Docker base image to be temurin 17 ([#3544](https://github.com/camunda/operate/issues/3544))
* type fetchProcessInstanceIncidents API and refactor tests ([#3572](https://github.com/camunda/operate/issues/3572))
* type fetchProcessInstance API and refactor tests ([#3571](https://github.com/camunda/operate/issues/3571))
* implement api mocks and refactor detail page tests ([#3489](https://github.com/camunda/operate/issues/3489))
* improve typing for requestAndParse method ([#3570](https://github.com/camunda/operate/issues/3570))
* Update Browserlist DB
* type api functions ([#3528](https://github.com/camunda/operate/issues/3528))
* **preview-env**: Cleanup old preview env actions ([#3536](https://github.com/camunda/operate/issues/3536))
* **preview-env**: Use the new global preview env teardown action ([#3530](https://github.com/camunda/operate/issues/3530))
* **qa**: fix migration test setup ([#3540](https://github.com/camunda/operate/issues/3540))
* **seed**: rename notification skip trait to comply with new plugin version ([#3518](https://github.com/camunda/operate/issues/3518))
* **preview-env**: Use the new global preview env action ([#3508](https://github.com/camunda/operate/issues/3508))
* Update Browserlist DB
* refactor bpmn flow node types ([#3505](https://github.com/camunda/operate/issues/3505))
* **deps**: update all non-major dependencies ([#3493](https://github.com/camunda/operate/issues/3493))
* Update Browserlist DB
* **deps**: bump java-jwt from 4.0.0 to 4.1.0 ([#3498](https://github.com/camunda/operate/issues/3498))
* **deps**: bump zeebe-test-container from 3.5.0 to 3.5.2 ([#3426](https://github.com/camunda/operate/issues/3426))
* **deps**: bump version.micrometer from 1.9.4 to 1.9.5 ([#3490](https://github.com/camunda/operate/issues/3490))
* **deps**: bump elasticsearch from 1.17.3 to 1.17.5 ([#3462](https://github.com/camunda/operate/issues/3462))
* **deps**: update bobheadxi/deployments digest to 9d4477f ([#3160](https://github.com/camunda/operate/issues/3160))
* improve types for bpmn-js modules ([#3477](https://github.com/camunda/operate/issues/3477))
* **qa**: fix test conditions in integration tests ([#3474](https://github.com/camunda/operate/issues/3474))
* **backend**: Adjust importer modules add 8.2 remove 8.0 ([#3475](https://github.com/camunda/operate/issues/3475))
* Update Browserlist DB
* fix flaky variable panel tests ([#3464](https://github.com/camunda/operate/issues/3464))
* **preview-env**: Split the deploy-preview actions into create and destroy actions ([#3472](https://github.com/camunda/operate/issues/3472))

# v8.1.0

## 🚀 New Features

* **backend**: Get Backup State endpoint ([#3417](https://github.com/camunda/operate/issues/3417))
* Support terminate end event ([#3429](https://github.com/camunda/operate/issues/3429))
* **backend**: provide tasklistUrl in ClientConfig ([#3399](https://github.com/camunda/operate/issues/3399))
* enable modification mode ([#3363](https://github.com/camunda/operate/issues/3363))
* **feature-flagged**: cover multi instance scopes for instance history ([#3406](https://github.com/camunda/operate/issues/3406))
* **feature-flagged**: Create new instance history node along with parent nodes ([#3401](https://github.com/camunda/operate/issues/3401))
* Add SingleStepModifyProcessInstanceHandler  ([#3413](https://github.com/camunda/operate/issues/3413))
* **feature-flagged**: make variable panel readonly for finished instances ([#3386](https://github.com/camunda/operate/issues/3386))
* Add quick link to Tasklist ([#3403](https://github.com/camunda/operate/issues/3403))
* **feature-flagged**: send tracking events for process instance modification ([#3379](https://github.com/camunda/operate/issues/3379))
* **feature-flagged**: display warning modal when leaving modification mode ([#3376](https://github.com/camunda/operate/issues/3376))
* **feature-flagged**: adjust states for variables panel in modification mode ([#3319](https://github.com/camunda/operate/issues/3319))
* **backend**: Add modify process instance REST endpoint ([#3243](https://github.com/camunda/operate/issues/3243))
* **feature-flagged**: implement info messages in summary modal ([#3288](https://github.com/camunda/operate/issues/3288))
* **feature-flagged**: Display modifications in instance history ([#3341](https://github.com/camunda/operate/issues/3341))
* branch-deploy label for preview envs ([#3327](https://github.com/camunda/operate/issues/3327))
* Update diagram popover content ([#3205](https://github.com/camunda/operate/issues/3205))
* **feature-flagged**: apply modifications ([#3312](https://github.com/camunda/operate/issues/3312))
* **feature-flagged**: display tooltip on non modifiable flow nodes ([#3340](https://github.com/camunda/operate/issues/3340))
* **feature-flagged**: change badge colors when tokens are canceled ([#3285](https://github.com/camunda/operate/issues/3285))
* display token counts in process instance detail page ([#3313](https://github.com/camunda/operate/issues/3313))
* Create Backup endpoint ([#3323](https://github.com/camunda/operate/issues/3323))
* **feature-flagged**: apply add variable modification on blur ([#3326](https://github.com/camunda/operate/issues/3326))
* **feature-flagged**: apply edit variable modification on blur ([#3210](https://github.com/camunda/operate/issues/3210))
* **backend**: Add FlowNode statistics for process Instance REST endpoint ([#3248](https://github.com/camunda/operate/issues/3248))
* **feature-flagged**: display modify operation in operations panel ([#3301](https://github.com/camunda/operate/issues/3301))
* **feature-flagged**: support parent scope ids for add and move token modifications ([#3325](https://github.com/camunda/operate/issues/3325))
* **metrics**: measure time to import Zeebe records ([#3287](https://github.com/camunda/operate/issues/3287))
* **feature-flagged**: stop polling during modification ([#3234](https://github.com/camunda/operate/issues/3234))

## 💊 Bugfixes

* fix removing new add variable modifications after scopes changed ([#3460](https://github.com/camunda/operate/issues/3460))
* **backend**: clean up after backup implemented ([#3412](https://github.com/camunda/operate/issues/3412))
* check for invalid element id ([#3454](https://github.com/camunda/operate/issues/3454))
* show correct variable panel state for completed flow node ([#3453](https://github.com/camunda/operate/issues/3453))
* fix navigating to dashboard from modification mode with context path ([#3451](https://github.com/camunda/operate/issues/3451))
* **distro**: remove list of exposed Actuator endpoints from application.yml ([#3455](https://github.com/camunda/operate/issues/3455))
* disable add button in summary modal when there are no modifications ([#3449](https://github.com/camunda/operate/issues/3449))
* remove the whole variable modification when deleted ([#3443](https://github.com/camunda/operate/issues/3443))
* validate variable name when its empty ([#3446](https://github.com/camunda/operate/issues/3446))
* display canceled tokens badge on cancel and move modifications ([#3441](https://github.com/camunda/operate/issues/3441))
* handle context path when leaving modification mode ([#3439](https://github.com/camunda/operate/issues/3439))
* display no modifications available when running tokens canceled and add is not supported ([#3427](https://github.com/camunda/operate/issues/3427))
* clear flow node selection when the selected flow node modification is removed ([#3425](https://github.com/camunda/operate/issues/3425))
* **backend**: exclude feature states from backup ([#3419](https://github.com/camunda/operate/issues/3419))
* reset validation on json editor close ([#3410](https://github.com/camunda/operate/issues/3410))
* **backend**: introduce json error message for internal-api ([#3364](https://github.com/camunda/operate/issues/3364))
* **deps**: pin dependency history to 5.3.0 ([#3409](https://github.com/camunda/operate/issues/3409))
* **deps**: update dependency sass to v1.55.0 ([#3387](https://github.com/camunda/operate/issues/3387))
* **deps**: update all non-major dependencies ([#3392](https://github.com/camunda/operate/issues/3392))
* **feature-flagged**: fix wrong state for variables panel when a single flow node is selected ([#3405](https://github.com/camunda/operate/issues/3405))
* **feature-flagged**: fix affected total count for add modification ([#3393](https://github.com/camunda/operate/issues/3393))
* **feature-flagged**: load full variable on click in modification mode ([#3356](https://github.com/camunda/operate/issues/3356))
* **feature-flagged**: do not allow multi instance child to be modified ([#3372](https://github.com/camunda/operate/issues/3372))
* **backend-test**: ignore failing tests on ci
* **deps**: update dependency dmn-js to v13 ([#3360](https://github.com/camunda/operate/issues/3360))
* **deps**: update dependency bpmn-js to v10 ([#3359](https://github.com/camunda/operate/issues/3359))
* **feature-flagged**: revert deleted logic for move modification ([#3382](https://github.com/camunda/operate/issues/3382))
* gh deployment ref was wrong for PRs ([#3378](https://github.com/camunda/operate/issues/3378))
* fix modify api payload ([#3369](https://github.com/camunda/operate/issues/3369))
* **feature-flagged**: do not poll after expanding a flow node in modification mode ([#3357](https://github.com/camunda/operate/issues/3357))
* **backend**: persist batch operation before single operations are created ([#3358](https://github.com/camunda/operate/issues/3358))
* **qa**: path to latest docker image has changed since commit 3236531f ([#3354](https://github.com/camunda/operate/issues/3354))
* **backend**: allow dashes in URL ([#3352](https://github.com/camunda/operate/issues/3352))
* **reader**: release thread when the import job queue is full ([#3298](https://github.com/camunda/operate/issues/3298))
* **test**: await all tasks being active ([#3337](https://github.com/camunda/operate/issues/3337))
* **test**: await process instance completion before archiving ([#3329](https://github.com/camunda/operate/issues/3329))
* **deps**: update dependency @carbon/elements to v11.9.0 ([#3271](https://github.com/camunda/operate/issues/3271))
* **deps**: update dependency react-router-dom to v6.4.0 ([#3322](https://github.com/camunda/operate/issues/3322))
* **feature-flagged**: use margin instead of padding to fix selection of undo button ([#3302](https://github.com/camunda/operate/issues/3302))
* **feature-flagged**: allow add modifications for events that are not attached to event based gateway ([#3235](https://github.com/camunda/operate/issues/3235))
* fix quotation for cat command in the changelog workflow ([#3307](https://github.com/camunda/operate/issues/3307))

## 🧹 Chore

* Revert wrong CHANGELOG
* Use action to avoid errors with unescaped characters ([#3465](https://github.com/camunda/operate/issues/3465))
* update CHANGELOG.md
* **project**: upgrade identity to 8.1.0 ([#3461](https://github.com/camunda/operate/issues/3461))
* **backend**: load version from pom.xml ([#3457](https://github.com/camunda/operate/issues/3457))
* **deps**: update dependency @types/node to v16.11.64 ([#3445](https://github.com/camunda/operate/issues/3445))
* fix failing test
* fix dmn incident icon ([#3448](https://github.com/camunda/operate/issues/3448))
* **project**: upgrade zeebe to 8.1.0 ([#3447](https://github.com/camunda/operate/issues/3447))
* Update Browserlist DB
* add Terminate end event process to test data ([#3433](https://github.com/camunda/operate/issues/3433))
* remove flow node states endpoint ([#3414](https://github.com/camunda/operate/issues/3414))
* Update Node version on pom.xml
* **deps**: update dependency @types/lodash to v4.14.186 ([#3416](https://github.com/camunda/operate/issues/3416))
* **deps**: update dependency zeebe-node to v8.1.0 ([#3366](https://github.com/camunda/operate/issues/3366))
* **project**: upgrade zeebe to 8.1.0-rc2 ([#3415](https://github.com/camunda/operate/issues/3415))
* Upgrade Zeebe to 8.1.0-rc1 ([#3408](https://github.com/camunda/operate/issues/3408))
* **project**: upgrade zeebe 8.1.0-alpha5 to SNAPSHOT ([#3400](https://github.com/camunda/operate/issues/3400))
* **qa**: test docker image to be run with arbitrary user ([#3238](https://github.com/camunda/operate/issues/3238))
* Update Browserlist DB
* **feature-flagged**: remove mocks for modify api ([#3388](https://github.com/camunda/operate/issues/3388))
* **deps**: bump version.spring.boot from 2.7.3 to 2.7.4 ([#3380](https://github.com/camunda/operate/issues/3380))
* **deps**: bump maven-shade-plugin from 3.3.0 to 3.4.0 ([#3334](https://github.com/camunda/operate/issues/3334))
* **backend**: fix exception logging ([#3394](https://github.com/camunda/operate/issues/3394))
* **deps**: update all non-major dependencies ([#3385](https://github.com/camunda/operate/issues/3385))
* Remove unnecessary props types
* Remove unused imports
* **feature-flagged**: remove loading overlay for add modifications ([#3368](https://github.com/camunda/operate/issues/3368))
* store processed positions periodically ([#3317](https://github.com/camunda/operate/issues/3317))
* Readd createPortal
* **metrics**: measure import metrics by partition and value type ([#3295](https://github.com/camunda/operate/issues/3295))
* Split popover component ([#3361](https://github.com/camunda/operate/issues/3361))
* Split process instances test suite ([#3321](https://github.com/camunda/operate/issues/3321))
* Remove unnecessary closing tag
* **docker-compose**: fix docker-compose.identity.yml config ([#3350](https://github.com/camunda/operate/issues/3350))
* Update Browserlist DB
* use tab view in decision instance page ([#3316](https://github.com/camunda/operate/issues/3316))
* Migrate Popper to @floating-u/react-dom ([#3320](https://github.com/camunda/operate/issues/3320))
* **deps**: bump version.micrometer from 1.9.3 to 1.9.4 ([#3311](https://github.com/camunda/operate/issues/3311))
* **deps**: update all non-major dependencies ([#3308](https://github.com/camunda/operate/issues/3308))
* **qa**: fix night jobs ([#3292](https://github.com/camunda/operate/issues/3292))
* Update Browserlist DB
* **deps**: bump mockito-core from 4.7.0 to 4.8.0 ([#3294](https://github.com/camunda/operate/issues/3294))
* Fix CHANGELOG.md
* **deps**: update all non-major dependencies ([#3267](https://github.com/camunda/operate/issues/3267))
* update CHANGELOG.md
* update CHANGELOG.md

# v8.1.0-alpha5

## 🚀 New Features

- **feature-flagged**: display loading overlay when modification is added ([#3231](https://github.com/camunda/operate/issues/3231))
- **feature-flagged**: implement diff modal ([#3239](https://github.com/camunda/operate/issues/3239))
- **feature-flagged**: implement summary modal ([#3237](https://github.com/camunda/operate/issues/3237))
- **feature-flagged**: display empty panel for non existing scopes ([#3190](https://github.com/camunda/operate/issues/3190))
- **feature-flagged**: implement modification helper modal ([#3144](https://github.com/camunda/operate/issues/3144))
- **feature-flagged**: implement move modification ([#3188](https://github.com/camunda/operate/issues/3188))
- **feature-flagged**: display badges on modified flow nodes ([#3105](https://github.com/camunda/operate/issues/3105))
- implement input output mappings ([#3209](https://github.com/camunda/operate/issues/3209))
- Beautify JSON on Monaco editor ([#3159](https://github.com/camunda/operate/issues/3159))
- **feature-flagged**: implement move token info banner ([#3101](https://github.com/camunda/operate/issues/3101))
- **feature-flagged**: display modification dropdown and options conditionally ([#3094](https://github.com/camunda/operate/issues/3094))
- **feature-flagged**: Add input fields to date range popover ([#3097](https://github.com/camunda/operate/issues/3097))
- **feature-flagged**: display last modification in footer ([#3082](https://github.com/camunda/operate/issues/3082))
- **feature-flagged**: Add basic date range popover ([#3095](https://github.com/camunda/operate/issues/3095))
- **feature-flagged**: implement no planned modifications modal ([#3087](https://github.com/camunda/operate/issues/3087))

## 💊 Bugfixes

- **backend**: return a null UserDTO for non-matching Authentication ([#3011](https://github.com/camunda/operate/issues/3011))
- **backend**: Add swagger security scheme ([#3259](https://github.com/camunda/operate/issues/3259))
- **backend**: add version string for public API ([#3256](https://github.com/camunda/operate/issues/3256))
- move pending incident flag ([#3185](https://github.com/camunda/operate/issues/3185))
- blank page fix ([#3272](https://github.com/camunda/operate/issues/3272))
- **backend**: use username as fallback for empty name in authentication ([#3255](https://github.com/camunda/operate/issues/3255))
- **chore**: fix typo in Makefile::env-sso-up
- **deps**: update dependency dmn-js to v12.3.0 ([#3218](https://github.com/camunda/operate/issues/3218))
- **deps**: update dependency bpmn-js to v9.4.0 ([#3236](https://github.com/camunda/operate/issues/3236))
- **deps**: update dependency @carbon/elements to v11.8.0 ([#3228](https://github.com/camunda/operate/issues/3228))
- **deps**: update dependency date-fns to v2.29.2 ([#3216](https://github.com/camunda/operate/issues/3216))
- **deps**: update dependency mobx-react to v7.5.2 ([#3172](https://github.com/camunda/operate/issues/3172))
- **deps**: update dependency mobx to v6.6.1 ([#3171](https://github.com/camunda/operate/issues/3171))
- **deps**: update dependency date-fns to v2.29.1 ([#3169](https://github.com/camunda/operate/issues/3169))
- **deps**: update dependency @carbon/react to v1.9.0 ([#3153](https://github.com/camunda/operate/issues/3153))
- **deps**: update all non-major dependencies ([#3183](https://github.com/camunda/operate/issues/3183))
- use single quote to prevent revert commits breaking the changelog ([#3184](https://github.com/camunda/operate/issues/3184))
- **deps**: update dependency sass to v1.54.4 ([#3173](https://github.com/camunda/operate/issues/3173))
- **deps**: update dependency dmn-js to v12.2.1 ([#3170](https://github.com/camunda/operate/issues/3170))
- **deps**: update dependency bpmn-js to v9.3.2 ([#3154](https://github.com/camunda/operate/issues/3154))
- **deps**: update dependency @carbon/elements to v11.7.0 ([#3150](https://github.com/camunda/operate/issues/3150))
- **backend**: throw exception for invalid token ([#3069](https://github.com/camunda/operate/issues/3069))
- **backend**: add another check for SearchHits array length ([#3013](https://github.com/camunda/operate/issues/3013))
- **backend-build**: use fail-fast for compile and tests ([#3049](https://github.com/camunda/operate/issues/3049))
- **deps**: update all non-major dependencies ([#2977](https://github.com/camunda/operate/issues/2977))
- **deps**: pin dependencies ([#3059](https://github.com/camunda/operate/issues/3059))

## 🧹 Chore

- **backend**: update versions of Zeebe and IAM till 8.1.0-alpha5 ([#3293](https://github.com/camunda/operate/issues/3293))
- **feature-flagged**: add scopeIds field to move operation ([#3291](https://github.com/camunda/operate/issues/3291))
- **deps**: bump unboundid-ldapsdk from 6.0.5 to 6.0.6 ([#3268](https://github.com/camunda/operate/issues/3268))
- **qa**: check that event is imported before assertion ([#3275](https://github.com/camunda/operate/issues/3275))
- Deduplicate lockfile
- **deps**: bump version.jackson from 2.13.3 to 2.13.4 ([#3280](https://github.com/camunda/operate/issues/3280))
- **deps**: update dependency typescript to v4.8.2 ([#3247](https://github.com/camunda/operate/issues/3247))
- Update Browserlist DB
- Create workflow for updating Browserlist DB
- **deps**: update dependency testcafe to v2 ([#3263](https://github.com/camunda/operate/issues/3263))
- **deps**: update all non-major dependencies ([#3257](https://github.com/camunda/operate/issues/3257))
- **deps**: bump version.spring.boot from 2.7.2 to 2.7.3 ([#3225](https://github.com/camunda/operate/issues/3225))
- **deps**: bump springdoc-openapi-ui from 1.6.10 to 1.6.11 ([#3230](https://github.com/camunda/operate/issues/3230))
- **deps**: bump version.elasticsearch from 7.17.5 to 7.17.6 ([#3245](https://github.com/camunda/operate/issues/3245))
- **ci**: update Zeebe version ([#3246](https://github.com/camunda/operate/issues/3246))
- **ci**: disable also migration for query performance job ([#3244](https://github.com/camunda/operate/issues/3244))
- **ci**: store elastic logs for failing Query performance job ([#3242](https://github.com/camunda/operate/issues/3242))
- **feature-flagged**: improve modifications store ([#3226](https://github.com/camunda/operate/issues/3226))
- **deps**: update all non-major dependencies ([#3219](https://github.com/camunda/operate/issues/3219))
- update validation messages for variable fields ([#3152](https://github.com/camunda/operate/issues/3152))
- **preview-env**: enable persistency for zeebe and ES ([#3227](https://github.com/camunda/operate/issues/3227))
- **deps**: bump springdoc-openapi-ui from 1.6.9 to 1.6.10 ([#3202](https://github.com/camunda/operate/issues/3202))
- **deps**: bump mockito-core from 4.6.1 to 4.7.0 ([#3196](https://github.com/camunda/operate/issues/3196))
- **deps**: update dependency @types/lodash to v4.14.183 ([#3206](https://github.com/camunda/operate/issues/3206))
- **deps**: update node.js to v16.17.0 ([#3204](https://github.com/camunda/operate/issues/3204))
- **deps**: update all non-major dependencies ([#3201](https://github.com/camunda/operate/issues/3201))
- add icon for inclusive gateway ([#3203](https://github.com/camunda/operate/issues/3203))
- **deps**: bump version.micrometer from 1.9.1 to 1.9.3 ([#3151](https://github.com/camunda/operate/issues/3151))
- **deps**: bump maven-javadoc-plugin from 3.4.0 to 3.4.1 ([#3197](https://github.com/camunda/operate/issues/3197))
- **deps**: bump maven-enforcer-plugin from 3.0.0 to 3.1.0 ([#2999](https://github.com/camunda/operate/issues/2999))
- **deps**: update hashicorp/vault-action digest to 7d98524 ([#3200](https://github.com/camunda/operate/issues/3200))
- **deps**: update dependency jest-styled-components to v7.1.0 ([#3166](https://github.com/camunda/operate/issues/3166))
- **deps**: update dependency @types/node to v16.11.48 ([#3198](https://github.com/camunda/operate/issues/3198))
- **deps**: update dependency glob to v8 ([#3180](https://github.com/camunda/operate/issues/3180))
- **deps**: update dependency lint-staged to v13 ([#3181](https://github.com/camunda/operate/issues/3181))
- **deps**: bump maven-assembly-plugin from 3.3.0 to 3.4.2 ([#3064](https://github.com/camunda/operate/issues/3064))
- **feature-flagged**: remove modification mocks
- **deps**: update docker.elastic.co/elasticsearch/elasticsearch docker tag to v7.17.5 ([#3165](https://github.com/camunda/operate/issues/3165))
- **deps**: update actions/setup-java action to v3 ([#3176](https://github.com/camunda/operate/issues/3176))
- **deps**: update actions/setup-node action to v3 ([#3177](https://github.com/camunda/operate/issues/3177))
- **deps**: update actions/checkout action to v3 ([#3175](https://github.com/camunda/operate/issues/3175))
- **deps**: update actions/cache action to v3 ([#3174](https://github.com/camunda/operate/issues/3174))
- **deps**: update dlavrenuek/conventional-changelog-action action to v1.2.1 ([#3167](https://github.com/camunda/operate/issues/3167))
- **deps**: update dependency @testing-library/user-event to v14.4.3 ([#3164](https://github.com/camunda/operate/issues/3164))
- **deps**: update hashicorp/vault-action action to v2.4.1 ([#3168](https://github.com/camunda/operate/issues/3168))
- **deps**: update helm chart infra-preview-environments-ingress to v1.1.1 ([#3162](https://github.com/camunda/operate/issues/3162))
- **deps**: update actions/add-to-project action to v0.3.0 ([#3163](https://github.com/camunda/operate/issues/3163))
- **deps**: update hashicorp/vault-action digest to f380d92 ([#3161](https://github.com/camunda/operate/issues/3161))
- Enable Renovate on CI folders ([#3155](https://github.com/camunda/operate/issues/3155))
- Remove zbctl use on E2E tests ([#3139](https://github.com/camunda/operate/issues/3139))
- **deps**: update node.js to v16.16.0 ([#3149](https://github.com/camunda/operate/issues/3149))
- **deps**: bump terser from 4.8.0 to 4.8.1 in /client ([#3046](https://github.com/camunda/operate/issues/3046))
- **deps**: bump moment from 2.29.1 to 2.29.4 in /client ([#2983](https://github.com/camunda/operate/issues/2983))
- **deps**: bump eventsource from 1.1.0 to 1.1.2 in /client ([#2888](https://github.com/camunda/operate/issues/2888))
- **deps**: bump minimist from 1.2.5 to 1.2.6 in /client ([#2460](https://github.com/camunda/operate/issues/2460))
- **deps**: bump url-parse from 1.5.7 to 1.5.10 in /client ([#2333](https://github.com/camunda/operate/issues/2333))
- Skip backend tests on dependency updates PRs
- **deps**: update dependency testcafe to v1.20.1 ([#3137](https://github.com/camunda/operate/issues/3137))
- **deps**: update dependency prettier to v2.7.1 ([#3136](https://github.com/camunda/operate/issues/3136))
- **deps**: update dependency monaco-editor to v0.34.0 ([#3135](https://github.com/camunda/operate/issues/3135))
- **deps**: update dependency eslint-plugin-prettier to v4.2.1 ([#2972](https://github.com/camunda/operate/issues/2972))
- **deps**: update dependency testcafe-browser-provider-browserstack to v1.14.0 ([#2891](https://github.com/camunda/operate/issues/2891))
- **preview-environments**: refactor to include ingress annotations from shared Helm chart ([#3120](https://github.com/camunda/operate/issues/3120))
- Remove unnecessary CSS ([#3127](https://github.com/camunda/operate/issues/3127))
- move utilities to commons package ([#3117](https://github.com/camunda/operate/issues/3117))
- **deps**: bump maven-surefire-plugin from 3.0.0-M6 to 3.0.0-M7 ([#2998](https://github.com/camunda/operate/issues/2998))
- **deps**: bump maven-failsafe-plugin from 3.0.0-M6 to 3.0.0-M7 ([#3000](https://github.com/camunda/operate/issues/3000))
- **deps**: bump mockito-core from 4.4.0 to 4.6.1 ([#3029](https://github.com/camunda/operate/issues/3029))
- **deps**: bump exec-maven-plugin from 3.0.0 to 3.1.0 ([#3063](https://github.com/camunda/operate/issues/3063))

# v8.1.0-alpha4

## 🚀 New Features

- Create button to load full variable value ([#3084](https://github.com/camunda/operate/issues/3084))
- **feature-flagged**: Display confirmation modal on discard all click ([#3025](https://github.com/camunda/operate/issues/3025))
- **feature-flagged**: validate modified variables ([#3070](https://github.com/camunda/operate/issues/3070))
- variable modification ([#3024](https://github.com/camunda/operate/issues/3024))
- Add evaluation date range filter ([#3086](https://github.com/camunda/operate/issues/3086))
- **feature-flagged**: Implement modification dropdown ([#2976](https://github.com/camunda/operate/issues/2976))
- add start/end date range filter ([#3083](https://github.com/camunda/operate/issues/3083))
- Display modification mode when enabled ([#2970](https://github.com/camunda/operate/issues/2970))
- Add modify icon to process instance header ([#2964](https://github.com/camunda/operate/issues/2964))
- Use Monaco editor instead of jsoneditor ([#2684](https://github.com/camunda/operate/issues/2684))
- configure docker-compose to enable testing of Identity integration ([#2899](https://github.com/camunda/operate/issues/2899))

## 💊 Bugfixes

- **backend**: Add healthy method to ElsIndicesCheck to check connection ([#3005](https://github.com/camunda/operate/issues/3005))
- **backend**: response with correct error code for identity auth err ([#3028](https://github.com/camunda/operate/issues/3028))
- **backend**: add fallback retrieval of scope ([#3075](https://github.com/camunda/operate/issues/3075))
- **backend**: lookup index names for Operation and BatchOperation ([#3055](https://github.com/camunda/operate/issues/3055))
- fix layout for process instance detail ([#3089](https://github.com/camunda/operate/issues/3089))
- **backend-test**: add wait for state change on tester
- fix layout in process instance detail ([#3033](https://github.com/camunda/operate/issues/3033))
- **deps**: update dependency @carbon/react to v1.8.0 ([#2897](https://github.com/camunda/operate/issues/2897))
- revert broken dependency update
- **backend-test**: ignore test in query performance pipeline ([#3009](https://github.com/camunda/operate/issues/3009))
- Prevent fetching data every 5 seconds ([#2919](https://github.com/camunda/operate/issues/2919))
- **backend**: use roles in organizations part of JWT ([#2975](https://github.com/camunda/operate/issues/2975))
- **deps**: update dependency bpmn-js to v9.2.2 ([#2898](https://github.com/camunda/operate/issues/2898))
- import resolved incident when operation update fails (#2913) ([#2966](https://github.com/camunda/operate/issues/2966))
- **backend**: retry on conflict when updating operation (#2907) ([#2910](https://github.com/camunda/operate/issues/2910))
- **backend**: reuse Identity config params for Spring params ([#2904](https://github.com/camunda/operate/issues/2904))
- **deps**: update dependency @carbon/elements to v11.4.0 ([#2895](https://github.com/camunda/operate/issues/2895))
- **deps**: update dependency @bpmn-io/element-templates-icons-renderer to v0.2.0 ([#2894](https://github.com/camunda/operate/issues/2894))
- **deps**: update all non-major dependencies ([#2882](https://github.com/camunda/operate/issues/2882))

## 🧹 Chore

- update Zeebe and Identity to 8.1.0-alpha4 ([#3112](https://github.com/camunda/operate/issues/3112))
- **feature-flagged**: change state object for modification mode ([#3099](https://github.com/camunda/operate/issues/3099))
- Issue templates changes ([#3051](https://github.com/camunda/operate/issues/3051))
- **preview-environment**: move to cheaper preemptible nodepool ([#3100](https://github.com/camunda/operate/issues/3100))
- skip be tests conditionally ([#3098](https://github.com/camunda/operate/issues/3098))
- update flow node outline styles ([#3034](https://github.com/camunda/operate/issues/3034))
- update definition of done ([#3085](https://github.com/camunda/operate/issues/3085))
- **preview-environment**: migrate ingresses to new ingressClass ([#3079](https://github.com/camunda/operate/issues/3079))
- **deps**: bump zeebe-test-container from 3.4.0 to 3.5.0 ([#3072](https://github.com/camunda/operate/issues/3072))
- **deps**: bump version.spring.boot from 2.7.0 to 2.7.2 ([#3071](https://github.com/camunda/operate/issues/3071))
- **deps**: bump elasticsearch from 1.17.2 to 1.17.3 ([#3001](https://github.com/camunda/operate/issues/3001))
- **deps**: bump netty-tcnative-boringssl-static ([#3061](https://github.com/camunda/operate/issues/3061))
- Cleanup after Storybook removal
- **ci**: update GHA secrets to new Vault path ([#3037](https://github.com/camunda/operate/issues/3037))
- enable backend tests
- Remove Storybook ([#3058](https://github.com/camunda/operate/issues/3058))
- use panel header for variables title ([#2988](https://github.com/camunda/operate/issues/2988))
- use font family from carbon ([#2917](https://github.com/camunda/operate/issues/2917))
- use font tokens in process instance detail page ([#2847](https://github.com/camunda/operate/issues/2847))
- use font tokens in list pages ([#2829](https://github.com/camunda/operate/issues/2829))
- Enable refactored diagram component ([#3021](https://github.com/camunda/operate/issues/3021))
- implement archiver as non-blocking ([#2990](https://github.com/camunda/operate/issues/2990))
- skip old zeebe tests
- use font tokens in table components ([#2835](https://github.com/camunda/operate/issues/2835))
- use font tokens in dashboard page ([#2822](https://github.com/camunda/operate/issues/2822))
- **deps**: bump mockito-core from 4.4.0 to 4.6.1 ([#3004](https://github.com/camunda/operate/issues/3004))
- use font tokens in decision instance detail page ([#2848](https://github.com/camunda/operate/issues/2848))
- use font tokens in header and footer ([#2850](https://github.com/camunda/operate/issues/2850))
- **BpmnJS**: add non-selectable flow node marker ([#3012](https://github.com/camunda/operate/issues/3012))
- **gha**: adjust vault path for org secrets ([#2994](https://github.com/camunda/operate/issues/2994))
- Unskip backend tests
- use font tokens in dropdown component ([#2854](https://github.com/camunda/operate/issues/2854))
- processed sequence flow coloring ([#3006](https://github.com/camunda/operate/issues/3006))
- use font tokens in button component ([#2853](https://github.com/camunda/operate/issues/2853))
- use font tokens in login page ([#2836](https://github.com/camunda/operate/issues/2836))
- **project**: remove unused e2e job files ([#3008](https://github.com/camunda/operate/issues/3008))
- **Diagram**: add popover overlay ([#2996](https://github.com/camunda/operate/issues/2996))
- use common sortable table for incidents table ([#2859](https://github.com/camunda/operate/issues/2859))
- **project**: different artifact for 1.3 releases ([#2997](https://github.com/camunda/operate/issues/2997))
- **Processes**: add statstics overlays ([#2981](https://github.com/camunda/operate/issues/2981))
- **deps**: bump maven-failsafe-plugin from 3.0.0-M6 to 3.0.0-M7 ([#2861](https://github.com/camunda/operate/issues/2861))
- **deps**: bump mockito-core from 4.4.0 to 4.6.1 ([#2855](https://github.com/camunda/operate/issues/2855))
- **deps**: bump maven-assembly-plugin from 3.3.0 to 3.4.1 ([#2991](https://github.com/camunda/operate/issues/2991))
- **deps**: bump maven-surefire-plugin from 3.0.0-M6 to 3.0.0-M7 ([#2860](https://github.com/camunda/operate/issues/2860))
- **deps**: bump netty-tcnative-boringssl-static ([#2884](https://github.com/camunda/operate/issues/2884))
- **deps**: bump maven-enforcer-plugin from 3.0.0 to 3.1.0 ([#2903](https://github.com/camunda/operate/issues/2903))
- **deps**: bump version.spring.boot from 2.7.0 to 2.7.1 ([#2914](https://github.com/camunda/operate/issues/2914))
- **deps**: bump elasticsearch from 1.17.2 to 1.17.3 ([#2946](https://github.com/camunda/operate/issues/2946))
- update Zeebe and Identity to 8.1.0-alpha3 ([#2982](https://github.com/camunda/operate/issues/2982))
- update CHANGELOG.md
- Skip flaky tests
- Align terminology in UI ([#2867](https://github.com/camunda/operate/issues/2867))
- **deps**: update all non-major dependencies ([#2971](https://github.com/camunda/operate/issues/2971))
- add feature toggle for process instance modification mode ([#2963](https://github.com/camunda/operate/issues/2963))
- **deps**: update dependency testcafe to v1.19.0 ([#2890](https://github.com/camunda/operate/issues/2890))
- create modifications store ([#2962](https://github.com/camunda/operate/issues/2962))
- **deps**: bump version.micrometer from 1.9.0 to 1.9.1 ([#2905](https://github.com/camunda/operate/issues/2905))
- **deps**: bump java-jwt from 3.19.2 to 4.0.0 ([#2915](https://github.com/camunda/operate/issues/2915))
- **deps**: bump version.elasticsearch from 7.17.4 to 7.17.5 ([#2945](https://github.com/camunda/operate/issues/2945))
- **project**: update issue template
- **deps**: update dependency typescript to v4.7.3 ([#2892](https://github.com/camunda/operate/issues/2892))
- Add modification icons to repo ([#2889](https://github.com/camunda/operate/issues/2889))
- **deps**: update dependency lint-staged to v12.5.0 ([#2886](https://github.com/camunda/operate/issues/2886))
- **deps**: update dependency msw to v0.42.1 ([#2887](https://github.com/camunda/operate/issues/2887))
- **deps**: update dependency @testing-library/user-event to v14.2.0 ([#2883](https://github.com/camunda/operate/issues/2883))

# v8.1.0-alpha3

## 🚀 New Features

- configure docker-compose to enable testing of Identity integration ([#2899](https://github.com/camunda/operate/issues/2899))

## 💊 Bugfixes

- **backend**: use roles in organizations part of JWT ([#2975](https://github.com/camunda/operate/issues/2975))
- **deps**: update dependency bpmn-js to v9.2.2 ([#2898](https://github.com/camunda/operate/issues/2898))
- import resolved incident when operation update fails (#2913) ([#2966](https://github.com/camunda/operate/issues/2966))
- **backend**: retry on conflict when updating operation (#2907) ([#2910](https://github.com/camunda/operate/issues/2910))
- **backend**: reuse Identity config params for Spring params ([#2904](https://github.com/camunda/operate/issues/2904))
- **deps**: update dependency @carbon/elements to v11.4.0 ([#2895](https://github.com/camunda/operate/issues/2895))
- **deps**: update dependency @bpmn-io/element-templates-icons-renderer to v0.2.0 ([#2894](https://github.com/camunda/operate/issues/2894))
- **deps**: update all non-major dependencies ([#2882](https://github.com/camunda/operate/issues/2882))

## 🧹 Chore

- update Zeebe and Identity to 8.1.0-alpha3 ([#2982](https://github.com/camunda/operate/issues/2982))
- Skip flaky tests
- Align terminology in UI ([#2867](https://github.com/camunda/operate/issues/2867))
- **deps**: update all non-major dependencies ([#2971](https://github.com/camunda/operate/issues/2971))
- add feature toggle for process instance modification mode ([#2963](https://github.com/camunda/operate/issues/2963))
- **deps**: update dependency testcafe to v1.19.0 ([#2890](https://github.com/camunda/operate/issues/2890))
- create modifications store ([#2962](https://github.com/camunda/operate/issues/2962))
- **deps**: bump version.micrometer from 1.9.0 to 1.9.1 ([#2905](https://github.com/camunda/operate/issues/2905))
- **deps**: bump java-jwt from 3.19.2 to 4.0.0 ([#2915](https://github.com/camunda/operate/issues/2915))
- **deps**: bump version.elasticsearch from 7.17.4 to 7.17.5 ([#2945](https://github.com/camunda/operate/issues/2945))
- **project**: update issue template
- **deps**: update dependency typescript to v4.7.3 ([#2892](https://github.com/camunda/operate/issues/2892))
- Add modification icons to repo ([#2889](https://github.com/camunda/operate/issues/2889))
- **deps**: update dependency lint-staged to v12.5.0 ([#2886](https://github.com/camunda/operate/issues/2886))
- **deps**: update dependency msw to v0.42.1 ([#2887](https://github.com/camunda/operate/issues/2887))
- **deps**: update dependency @testing-library/user-event to v14.2.0 ([#2883](https://github.com/camunda/operate/issues/2883))

# v8.1.0-alpha2

## 🚀 New Features

- Add salesPlanType and roles to User data ([#2858](https://github.com/camunda/operate/issues/2858))
- Link version on Decision and Process details ([#2811](https://github.com/camunda/operate/issues/2811))
- Hide all versions option when only one versions is available ([#2844](https://github.com/camunda/operate/issues/2844))
- Identity m2m token ([#2856](https://github.com/camunda/operate/issues/2856))
- add jobType, messageName and correlationKey to metadata ([#2763](https://github.com/camunda/operate/issues/2763))
- refetch data when navigating decisions from the header ([#2789](https://github.com/camunda/operate/issues/2789))
- refetch data when navigating to processes from the header ([#2735](https://github.com/camunda/operate/issues/2735))
- Pass JWT error message ([#2757](https://github.com/camunda/operate/issues/2757))
- install carbon dependencies and remove font files ([#2774](https://github.com/camunda/operate/issues/2774))

## 💊 Bugfixes

- Add roles and sales plan to setUser method in auth store
- Hide input/output tab in decision panel if decision is a literal expression ([#2781](https://github.com/camunda/operate/issues/2781))
- **ldap**: clean up LdapConfig ([#2863](https://github.com/camunda/operate/issues/2863))
- Dockerfile to reduce vulnerabilities ([#2857](https://github.com/camunda/operate/issues/2857))
- **deps**: update dependency react-popper to v2.3.0 ([#2696](https://github.com/camunda/operate/issues/2696))
- **backend-test**: fix typo
- **backend**: use Configurators as bean providers ([#2814](https://github.com/camunda/operate/issues/2814))
- display notification on top of everything ([#2787](https://github.com/camunda/operate/issues/2787))
- add padding for operation column to fix jumping when spinner is visible ([#2681](https://github.com/camunda/operate/issues/2681))
- Literal expression support ([#2682](https://github.com/camunda/operate/issues/2682))
- save Identity authentication in persistent sessions ([#2728](https://github.com/camunda/operate/issues/2728))
- **DecisionViewer**: recreate decision viewer on import ([#2647](https://github.com/camunda/operate/issues/2647))
- **deps**: update dependency mobx-react to v7.4.0 ([#2737](https://github.com/camunda/operate/issues/2737))

## 🧹 Chore

- update Zeebe and Identity to 8.1.0-alpha2 ([#2866](https://github.com/camunda/operate/issues/2866))
- Refactor overlays ([#2838](https://github.com/camunda/operate/issues/2838))
- **pom**: update Spring Boot to 2.7.0 ([#2869](https://github.com/camunda/operate/issues/2869))
- refactor incidentsByError component ([#2801](https://github.com/camunda/operate/issues/2801))
- Create processDiagram store ([#2840](https://github.com/camunda/operate/issues/2840))
- **Processes**: create legacy files ([#2833](https://github.com/camunda/operate/issues/2833))
- **deps**: bump assertj-core from 3.23.0 to 3.23.1 ([#2837](https://github.com/camunda/operate/issues/2837))
- fix overflows in several components ([#2810](https://github.com/camunda/operate/issues/2810))
- **deps**: update node.js to v16.15.0 ([#2679](https://github.com/camunda/operate/issues/2679))
- **preview-env**: Keep using the branch name tagging ([#2831](https://github.com/camunda/operate/issues/2831))
- **deps**: update dependency @types/jest to v27.5.1 ([#2721](https://github.com/camunda/operate/issues/2721))
- **deps**: update dependency husky to v8 ([#2743](https://github.com/camunda/operate/issues/2743))
- **preview-env**: move Operate preview environments docker images to Harbor from gcr.io ([#2796](https://github.com/camunda/operate/issues/2796))
- refactor instancesByProcess component ([#2802](https://github.com/camunda/operate/issues/2802))
- **deps**: bump assertj-core from 3.22.0 to 3.23.0 ([#2827](https://github.com/camunda/operate/issues/2827))
- **deps**: bump netty-tcnative-boringssl-static ([#2828](https://github.com/camunda/operate/issues/2828))
- **deps**: bump springdoc-openapi-ui from 1.6.8 to 1.6.9 ([#2813](https://github.com/camunda/operate/issues/2813))
- **deps**: bump netty-tcnative-boringssl-static ([#2733](https://github.com/camunda/operate/issues/2733))
- **deps**: bump spring-session-bom from 2021.1.2 to 2021.2.0 ([#2803](https://github.com/camunda/operate/issues/2803))
- remove redundant test and cover some cases in multi instance selection test instead ([#2798](https://github.com/camunda/operate/issues/2798))
- **deps**: bump version.micrometer from 1.8.5 to 1.9.0 ([#2761](https://github.com/camunda/operate/issues/2761))
- **deps**: bump zeebe-test-container from 3.3.0 to 3.4.0 ([#2760](https://github.com/camunda/operate/issues/2760))
- **deps**: bump version.elasticsearch from 7.17.3 to 7.17.4 ([#2804](https://github.com/camunda/operate/issues/2804))
- **deps**: bump elasticsearch from 1.17.1 to 1.17.2 ([#2791](https://github.com/camunda/operate/issues/2791))
- **deps**: bump version.spring.boot from 2.5.6 to 2.6.6 ([#2534](https://github.com/camunda/operate/issues/2534))
- **preview-env**: Use getSanitizedBranchName instead of creating a new function ([#2800](https://github.com/camunda/operate/issues/2800))
- **preview-env**: Fix the tear down gha
- remove unnecessary validations from edit variable e2e tests ([#2786](https://github.com/camunda/operate/issues/2786))
- **deps**: bump version.jackson from 2.13.2 to 2.13.3 ([#2764](https://github.com/camunda/operate/issues/2764))
- **preview env**: resolve the namespace name limitation for branch deployment ([#2784](https://github.com/camunda/operate/issues/2784))
- refactor add variable tests ([#2783](https://github.com/camunda/operate/issues/2783))
- **preview env**: cleanup old branch deployment Jobs ([#2776](https://github.com/camunda/operate/issues/2776))
- move add variable e2e test to integration tests ([#2777](https://github.com/camunda/operate/issues/2777))
- **preview env**: remove unneeded prefix
- **seed**: disable jobs on non prod env ([#2775](https://github.com/camunda/operate/issues/2775))
- **preview env**: fix deploy GHA
- **preview env**: Fix tear down GHA
- **project**: rename camunda-cloud to camunda for repository move ([#2753](https://github.com/camunda/operate/issues/2753))
- Add new tracking events ([#2756](https://github.com/camunda/operate/issues/2756))
- Rename and enhance tracking events ([#2748](https://github.com/camunda/operate/issues/2748))
- Cleanup old preview env files ([#2759](https://github.com/camunda/operate/issues/2759))
- **Jenkinsfile**: periodically trigger stable branches ([#2747](https://github.com/camunda/operate/issues/2747))
- **deps**: bump java-jwt from 3.19.1 to 3.19.2 ([#2738](https://github.com/camunda/operate/issues/2738))
- **deps**: bump unboundid-ldapsdk from 6.0.4 to 6.0.5 ([#2744](https://github.com/camunda/operate/issues/2744))
- refactor e2e tests for process instances filters ([#2736](https://github.com/camunda/operate/issues/2736))

# v8.1.0-alpha1

## 🚀 New Features

- Make Decisions table viewer scrollable ([#2674](https://github.com/camunda-cloud/operate/issues/2674))

## 💊 Bugfixes

- Elasticsearch Task status for errors and failures ([#2701](https://github.com/camunda-cloud/operate/issues/2701))
- Fix post import exceptions ([#2703](https://github.com/camunda-cloud/operate/issues/2703))
- Reset dashboard state when Dashboard link is clicked from header ([#2635](https://github.com/camunda-cloud/operate/issues/2635))
- pom.xml to reduce vulnerabilities ([#2430](https://github.com/camunda-cloud/operate/issues/2430))
- fix horizontal scrolling in process instances page ([#2680](https://github.com/camunda-cloud/operate/issues/2680))
- Change behavior of processes link in header ([#2633](https://github.com/camunda-cloud/operate/issues/2633))
- pom.xml to reduce vulnerabilities ([#2043](https://github.com/camunda-cloud/operate/issues/2043))
- pom.xml to reduce vulnerabilities ([#2378](https://github.com/camunda-cloud/operate/issues/2378))
- pom.xml to reduce vulnerabilities ([#2431](https://github.com/camunda-cloud/operate/issues/2431))
- pom.xml to reduce vulnerabilities ([#2432](https://github.com/camunda-cloud/operate/issues/2432))
- pom.xml to reduce vulnerabilities ([#2439](https://github.com/camunda-cloud/operate/issues/2439))
- pom.xml to reduce vulnerabilities ([#2513](https://github.com/camunda-cloud/operate/issues/2513))
- pom.xml to reduce vulnerabilities ([#2514](https://github.com/camunda-cloud/operate/issues/2514))
- Fix logic error ([#2702](https://github.com/camunda-cloud/operate/issues/2702))
- Import MSW mocking in an async way ([#2685](https://github.com/camunda-cloud/operate/issues/2685))
- Change behavior of decisions link in header ([#2634](https://github.com/camunda-cloud/operate/issues/2634))
- In all REST queries we return only non-pending incidents ([#2602](https://github.com/camunda-cloud/operate/issues/2602))
- Make Processes and Decisions links only active in list pages ([#2629](https://github.com/camunda-cloud/operate/issues/2629))
- Add bump labels to default changelog config ([#2646](https://github.com/camunda-cloud/operate/issues/2646))
- **ci**: Remove commit/PR title message validation after the prefix ([#2619](https://github.com/camunda-cloud/operate/issues/2619))
- fix hash + old route redirection ([#2599](https://github.com/camunda-cloud/operate/issues/2599))
- **deps**: update dependency react-router-dom to v6.3.0 ([#2527](https://github.com/camunda-cloud/operate/issues/2527))
- **deps**: update all non-major dependencies ([#2526](https://github.com/camunda-cloud/operate/issues/2526))
- **deps**: update dependency polished to v4.2.2 ([#2544](https://github.com/camunda-cloud/operate/issues/2544))
- **deps**: pin dependency @bpmn-io/element-templates-icons-renderer to 0.1.2 ([#2571](https://github.com/camunda-cloud/operate/issues/2571))
- **backend**: remove field permissions for testing restore of session

## 🧹 Chore

- update zeebe and identity to 8.1.0-alpha1 ([#2730](https://github.com/camunda-cloud/operate/issues/2730))
- **preview env**: Adjust argocd app naming ([#2727](https://github.com/camunda-cloud/operate/issues/2727))
- remove redundant backslashes in els data generation pipelines ([#2723](https://github.com/camunda-cloud/operate/issues/2723))
- **deps**: bump version.zeebe from 8.0.0 to 8.0.1 ([#2686](https://github.com/camunda-cloud/operate/issues/2686))
- **deps**: bump elasticsearch from 1.16.3 to 1.17.1 ([#2718](https://github.com/camunda-cloud/operate/issues/2718))
- **deps**: bump springdoc-openapi-ui from 1.6.6 to 1.6.8 ([#2717](https://github.com/camunda-cloud/operate/issues/2717))
- **deps**: bump maven-javadoc-plugin from 3.3.2 to 3.4.0 ([#2716](https://github.com/camunda-cloud/operate/issues/2716))
- **deps**: bump version.micrometer from 1.8.4 to 1.8.5 ([#2715](https://github.com/camunda-cloud/operate/issues/2715))
- **deps**: bump nexus-staging-maven-plugin from 1.6.12 to 1.6.13 ([#2714](https://github.com/camunda-cloud/operate/issues/2714))
- **deps**: bump netty-tcnative-boringssl-static ([#2473](https://github.com/camunda-cloud/operate/issues/2473))
- **deps**: bump unboundid-ldapsdk from 6.0.3 to 6.0.4 ([#2474](https://github.com/camunda-cloud/operate/issues/2474))
- **deps**: bump version.elasticsearch from 7.17.1 to 7.17.3 ([#2710](https://github.com/camunda-cloud/operate/issues/2710))
- **deps**: bump maven-shade-plugin from 3.2.4 to 3.3.0 ([#2510](https://github.com/camunda-cloud/operate/issues/2510))
- **deps**: bump java-jwt from 3.19.0 to 3.19.1 ([#2509](https://github.com/camunda-cloud/operate/issues/2509))
- **deps**: bump maven-failsafe-plugin from 3.0.0-M4 to 3.0.0-M6 ([#2554](https://github.com/camunda-cloud/operate/issues/2554))
- **deps**: bump maven-surefire-plugin from 3.0.0-M5 to 3.0.0-M6 ([#2555](https://github.com/camunda-cloud/operate/issues/2555))
- Remove unnecessary variable validation e2e tests ([#2700](https://github.com/camunda-cloud/operate/issues/2700))
- Remove unnecesary tests and assertions from ProcessInstancesFilters ([#2699](https://github.com/camunda-cloud/operate/issues/2699))
- remove getting started experience support ([#2683](https://github.com/camunda-cloud/operate/issues/2683))
- Remove instance selection e2e tests and add integration test ([#2677](https://github.com/camunda-cloud/operate/issues/2677))
- Refactor dashboard and process instance detail e2e tests ([#2676](https://github.com/camunda-cloud/operate/issues/2676))
- **deps**: bump mvc-auth-commons from 1.8.2 to 1.9.2 ([#2645](https://github.com/camunda-cloud/operate/issues/2645))
- **deps**: update all non-major dependencies ([#2660](https://github.com/camunda-cloud/operate/issues/2660))
- **deps**: update all non-major dependencies ([#2628](https://github.com/camunda-cloud/operate/issues/2628))
- **deps**: update dependency zeebe-node to v8 ([#2641](https://github.com/camunda-cloud/operate/issues/2641))
- **deps**: update dependency lint-staged to v12.4.0 ([#2642](https://github.com/camunda-cloud/operate/issues/2642))
- **preview-env**: adjust requested resources and disable pvc creation for Zeebe ([#2644](https://github.com/camunda-cloud/operate/issues/2644))
- **preview-env**: use the latest camunda-platform Chart version ([#2621](https://github.com/camunda-cloud/operate/issues/2621))
- **deps**: update all non-major dependencies ([#2624](https://github.com/camunda-cloud/operate/issues/2624))
- Replace user-event method
- **deps**: update dependency @testing-library/user-event to v14.1.0 ([#2493](https://github.com/camunda-cloud/operate/issues/2493))
- **ci**: uncomment CI stage ([#2620](https://github.com/camunda-cloud/operate/issues/2620))
- **deps**: update dependency @types/react to v18.0.4 ([#2617](https://github.com/camunda-cloud/operate/issues/2617))
- **deps**: update dependency @testing-library/testcafe to v4.4.1 ([#2615](https://github.com/camunda-cloud/operate/issues/2615))
- **deps**: pin dependency @types/react-dom to 18.0.0 ([#2614](https://github.com/camunda-cloud/operate/issues/2614))
- **deps**: update dependency @testing-library/react-hooks to v8 ([#2601](https://github.com/camunda-cloud/operate/issues/2601))
- **deps**: update dependency @types/react to v18.0.3 ([#2613](https://github.com/camunda-cloud/operate/issues/2613))
- create changelog workflows ([#2592](https://github.com/camunda-cloud/operate/issues/2592))
- add e2e test for process <-> decision navigation ([#2610](https://github.com/camunda-cloud/operate/issues/2610))
- dedup lockfile
- **deps**: update dependency @types/react to v18.0.2 ([#2611](https://github.com/camunda-cloud/operate/issues/2611))
- **deps**: update dependency @types/react to v18 ([#2589](https://github.com/camunda-cloud/operate/issues/2589))
- **e2e**: align test names with component names ([#2591](https://github.com/camunda-cloud/operate/issues/2591))
- Take screenshots when e2e tests fail ([#2587](https://github.com/camunda-cloud/operate/issues/2587))
- **backend**: update Zeebe and Identity to v. 8.0.0 ([#2577](https://github.com/camunda-cloud/operate/issues/2577))
- update license ([#2564](https://github.com/camunda-cloud/operate/issues/2564))
- **project**: remove IAM integration ([#2511](https://github.com/camunda-cloud/operate/issues/2511))

